<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.117
Name: A_Rijksvaccinatie [informational/administered]
Description: COCT_RM900916NL02: Gegevens van rijksvaccinaties en andere vaccinaties
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000">
   <title>A_Rijksvaccinatie [informational/administered]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]"
         id="tmp-8888b056-3f33-4b45-8877-0696f021aeca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]"
         id="tmp-39c42946-01f0-453d-ac68-28029b03bd18">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='SBADM' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string-length(@negationInd)&gt;0 or not(@negationInd)">(A_Rijksvaccinatie-informational-administered): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-informational-administered): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-informational-administered): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:templateId
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:templateId"
         id="tmp-f296281b-0456-4bf0-b3ca-a4f664117b30">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.117'">(A_Rijksvaccinatie-informational-administered): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.117' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-be84cf53-e82f-44e0-ac61-3b78269dc9c4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-administered): de elementwaarde MOET zijn code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:effectiveTime
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:effectiveTime"
         id="tmp-f477cf91-f56e-46cb-a4de-92640a12900d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="matches(@value,'^[0-9]{8}')">(A_Rijksvaccinatie-informational-administered): 
                        <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable"
         id="tmp-08ecb616-2a50-475d-800e-4033d3e070ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@typeCode)='CSM' or not(@typeCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]"
         id="tmp-da22107c-aa1e-405c-bdd3-5c80dfe17c36">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='ADMM' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine"
         id="tmp-cba61aa6-d086-425a-9638-ece335d60381">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(hl7:lotNumberText and ../../../hl7:authorization)">(A_Rijksvaccinatie-informational-administered): lotNumberText KAN GEEN waarde bevatten, als er sprake is van bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="hl7:lotNumberText or ../../../hl7:authorization">(A_Rijksvaccinatie-informational-administered): lotNumberText MOET een waarde bevatten, voor vaccinaties zonder bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(A_Rijksvaccinatie-informational-administered): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']"
         id="tmp-3b09d1cc-bb66-4450-8654-4fb81fae8c51">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-informational-administered): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-administered): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-41ed3a40-7632-4f31-add1-360dc40565a3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]
Item: (A_Rijksvaccinatie-informational-administered)
-->
<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]"
         id="tmp-9b16cd91-0b0c-4903-ab27-517be9de7189">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-a2de3ca8-844a-47c9-a53a-f28cf129de80">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@typeCode)='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-informational-administered): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:consentEvent)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent"
         id="tmp-bbf4a011-e9e3-4a6a-9954-9136002806f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='CONS' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@negationInd)='true'">(A_Rijksvaccinatie-informational-administered): de waarde van @negationInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-caf9258a-f916-458a-9d25-2d95fef8c075">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-administered): de elementwaarde MOET zijn code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-1099d681-fd21-4714-8264-434d79c0fbed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:observationEvent)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent"
         id="tmp-f0e09906-7634-4a0e-8bc3-5eafcff6e145">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-informational-administered): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-e3a8bb30-828b-407a-881f-61e5c2b687e3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-informational-administered): de elementwaarde MOET zijn code '683' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value
Item: (A_Rijksvaccinatie-informational-administered)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value"
         id="tmp-f1879499-a5b2-4e5b-b9e6-f6750a08ae04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-informational-administered): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-administered): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(@nullFlavor or hl7:originalText)">(A_Rijksvaccinatie-informational-administered): Uit privacyoverwegingen is het doorgeven van een bezwaarreden, anders dan "Medisch" of "Principieel", NIET toegestaan.</assert>
   </rule>
</pattern>
