<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.123
Name: A_Rijksvaccinatie [informational/all]
Description: COCT_RM900916NL03: Gegevens van rijksvaccinaties en andere vaccinaties. Verschillen met versie 2 zijn: 
                    SubstanceAdministration.moodCode was “EVN”, is nu D:ActMood om "nog te geven vaccinaties" toe te staan "EVN" was en is een werkelijke vaccinatie"RMD" is de aanbeveling tot geven van een vaccinatieVanwege de naamconventies is hierdoor ook SubstanceAdministrationEvent veranderd in SubstanceAdministration
                    SubstanceAdministration.effectiveTime gewijzigd in [0..1] O t.b.v. te-verwachten-vaccinaties
                    SubstanceAdministration.limitation is toegevoegd t.b.v. "Minimale vaccinatiedatum"
                    SubstanceAdministration.location toegevoegd t.b.v. "Toedieningslocatie"
                
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000">
   <title>A_Rijksvaccinatie [informational/all]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]"
         id="tmp-e47cb74b-223e-469a-b403-6ef6aa8fea94">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:substanceAdministration is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]"
         id="tmp-2674c3f7-782c-4525-b53f-03b91a0c141f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='SBADM' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@moodCode)='EVN' or string(@moodCode)='RMD'">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET één van de volgende codes bevatten: EVN', 'RMD.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string-length(@negationInd)&gt;0 or not(@negationInd)">(A_Rijksvaccinatie-informational-all): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-informational-all): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-informational-all): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@negationInd='true' and @moodCode='RMD')">(A_Rijksvaccinatie-informational-all): 
                    <name/>/@negationInd MAG NIET 'true' zijn bij te-verwachten-vaccinaties</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@moodCode='RMD' and hl7:effectiveTime)">(A_Rijksvaccinatie-informational-all): 
                    <name/>/@moodCode='RMD' is een te-verwachten-vaccinatie. Alle datumspecificaties MOETEN onder het element limitation</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@moodCode='RMD' and hl7:performer)">(A_Rijksvaccinatie-informational-all): 
                    <name/>/@moodCode='RMD' is een te-verwachten-vaccinatie. Deze KUNNEN GEEN uitvoerende partij hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(.//hl7:lotNumberText and hl7:authorization)">(A_Rijksvaccinatie-informational-all): lotNumberText KAN GEEN waarde bevatten, als er sprake is van bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:location)=0">(A_Rijksvaccinatie-informational-all): element hl7:location MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:templateId
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:templateId"
         id="tmp-30dd8825-92fb-4aca-be3a-24233ec369b9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.123'">(A_Rijksvaccinatie-informational-all): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.123' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-ba7668fb-d67d-472a-963d-a4c2692d422d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-all): de elementwaarde MOET zijn code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:effectiveTime
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:effectiveTime"
         id="tmp-e8f38fc7-613a-4766-aff6-6995cabb5c31">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable"
         id="tmp-dfab5c25-dbb2-4244-83f1-baddc1322e0e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='CSM' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]"
         id="tmp-dad23fdb-e1c9-4c1e-a381-852b2cd0428e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='ADMM' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine"
         id="tmp-66ed532e-f73f-486a-8389-d8ba6ca388f6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-informational-all): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(A_Rijksvaccinatie-informational-all): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']"
         id="tmp-3acbb667-fcf2-4047-97fa-cf140c8149ee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-informational-all): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-all): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="(@code and @displayName) or (@nullFlavor and hl7:originalText)">(A_Rijksvaccinatie-informational-all): 
                                    <name/> MOET @code en @displayName bevatten OF @nullFlavor en originalText</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-f9893bff-4d13-4a1c-8fb0-9b12c7e9fe9d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]]
Item: (A_Rijksvaccinatie-informational-all)
-->
<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]]"
         id="tmp-7b21ad09-f274-496b-8435-1349ca31dd1d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:location
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:location"
         id="tmp-1496277f-ccf7-46db-adc8-289ef453b3b0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:serviceDeliveryLocation)&gt;=1 and not(hl7:serviceDeliveryLocation/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:serviceDeliveryLocation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:serviceDeliveryLocation)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:serviceDeliveryLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:location/hl7:serviceDeliveryLocation
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:location/hl7:serviceDeliveryLocation"
         id="tmp-f05b8a2f-d894-4df8-9486-afa6ce88c0d8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='SDLOC'">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'SDLOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-0aa7ee10-8766-4e2c-a5a4-b0bb61c46452">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-informational-all): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:consentEvent)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent"
         id="tmp-1a929c93-12e6-4a06-b8be-f43a5e4c45e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='CONS' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@negationInd)='true'">(A_Rijksvaccinatie-informational-all): de waarde van @negationInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:reasonOf)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-e9de9528-88ec-4f81-ba4c-afd1acd03c4d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-all): de elementwaarde MOET zijn code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-5bd4a2e6-2196-43de-8fa7-e5d1630d2562">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:observationEvent)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent"
         id="tmp-446b00ba-3343-4212-9051-d27e900fd51e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-informational-all): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-3728ef72-6253-415a-9859-f0d0041d98b7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-informational-all): de elementwaarde MOET zijn code '683' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value"
         id="tmp-03c08504-3c89-4278-9605-e17c899f43f0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-informational-all): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-all): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="not(@nullFlavor or hl7:originalText)">(A_Rijksvaccinatie-informational-all): Uit privacyoverwegingen is het doorgeven van een bezwaarreden, anders dan "Medisch" of "Principieel", NIET toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-2931b96e-9f8d-431a-957c-f9895d455a9f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:dateCriterion)&gt;=1 and not(hl7:dateCriterion/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:dateCriterion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:dateCriterion)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:dateCriterion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion"
         id="tmp-61fb0018-bcb0-422d-a811-0a1e99626bfc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion/hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion/hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-4c7018e6-48b4-4ec0-9251-fcf030272115">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or (@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')">(A_Rijksvaccinatie-informational-all): de elementwaarde MOET zijn code '30981-5' codeSystem '2.16.840.1.113883.6.1' of code '30980-7' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion/hl7:value
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:limitation[hl7:dateCriterion[hl7:code[(@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:dateCriterion/hl7:value"
         id="tmp-fae08cd9-6614-4a5f-aba1-f5632d0ca4d3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.123-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
