<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.182
Name: Bericht 2 Opleveren vaccinatiestatus (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000">
   <title>Bericht 2 Opleveren vaccinatiestatus (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]"
         id="tmp-11582c51-e26a-4e6f-b9a2-40054f8befb7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:VaccinationAdministrationList)&gt;=1 and not(hl7:VaccinationAdministrationList/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:VaccinationAdministrationList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:VaccinationAdministrationList)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:VaccinationAdministrationList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']]
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']]"
         id="tmp-f260b0a2-e5d4-4740-b2cf-221f56c62183">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@classCode)='LIST' or not(@classCode)">(OpleverenVaccinatiestatus-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(OpleverenVaccinatiestatus-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'])&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:templateId
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:templateId"
         id="tmp-2d1327e5-0899-4573-a693-e847ba24d8bf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OpleverenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.182'">(OpleverenVaccinatiestatus-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.182' hebben.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]
Item: (OpleverenVaccinatiestatus-payload)
-->
<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]"
         id="tmp-45973576-f271-4ce0-9a58-4db337350be5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(OpleverenVaccinatiestatus-payload): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]
Item: (OpleverenVaccinatiestatus-payload)
-->
<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]"
         id="tmp-5eb2cf3d-a686-43f1-88be-30213e5f082a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OpleverenVaccinatiestatus-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
