<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.10000
Name: Versturen JGZ-dossieroverdrachtverzoek (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000">
   <title>Versturen JGZ-dossieroverdrachtverzoek (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->

<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]"
         id="tmp-589aa423-bb5b-4cbd-b68f-42acc25bbea1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:CareProvisionRequest)&gt;=1 and not(hl7:CareProvisionRequest/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:CareProvisionRequest is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:CareProvisionRequest)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:CareProvisionRequest komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->

<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]"
         id="tmp-3101af67-7c20-4ccb-834a-7d4defcffd35">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]])&gt;=1 and not(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:templateId
Item: (VersturenDossieroverdrachtverzoek-payload)
-->

<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:templateId"
         id="tmp-99f077e8-8a70-48bd-8f21-e26ab37f5020">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.10000'">(VersturenDossieroverdrachtverzoek-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.10000' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:id
Item: (VersturenDossieroverdrachtverzoek-payload)
-->

<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:id"
         id="tmp-3766df3e-4438-40c5-8b0f-269922a05f7e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->

<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-c79057ed-7d5d-4675-94bf-df1a45d491be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenDossieroverdrachtverzoek-payload): de elementwaarde MOET zijn code 'CPHC' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:statusCode
Item: (VersturenDossieroverdrachtverzoek-payload)
-->

<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:statusCode"
         id="tmp-52731d77-5b50-4c8a-b642-9ed70eade6fd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active')">(VersturenDossieroverdrachtverzoek-payload): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-a8afcffd-d801-4eb0-b38a-fd78725b557b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-e7274721-6ae0-4779-9d74-b16db6cea5d0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10000
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-21976900-6d1d-438f-8005-0e893c30dfc7">
      <extends rule="tmp-de04e5c5-465e-4509-adcd-6cf7f3ea73f3"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="string(@typeCode)='SEQL' or not(@typeCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @typeCode MOET 'SEQL' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10000-2012-08-01T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (careProvisionDossier)
-->
<rule id="tmp-de04e5c5-465e-4509-adcd-6cf7f3ea73f3" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:careProvisionEvent)&gt;=1 and not(hl7:careProvisionEvent/@nullFlavor)">(careProvisionDossier): element hl7:careProvisionEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:careProvisionEvent)&lt;=1">(careProvisionDossier): element hl7:careProvisionEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent"
         id="tmp-4ea17bdf-a485-4774-9b44-e3e2af65db21">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(careProvisionDossier): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionDossier): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(careProvisionDossier): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(careProvisionDossier): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionDossier): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionDossier): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(careProvisionDossier): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(careProvisionDossier): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionDossier): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]/@nullFlavor)">(careProvisionDossier): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&lt;=1">(careProvisionDossier): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(careProvisionDossier): element hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(careProvisionDossier): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:summary)&lt;=1">(careProvisionDossier): element hl7:summary komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]])&lt;=1">(careProvisionDossier): element hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:subjectOf)&gt;=2 ">(careProvisionDossier): element hl7:subjectOf is required [min 2x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:id
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:id"
         id="tmp-4127e06f-5c4b-4fe7-b57d-f67dc4cbc7ee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-64ec2c1b-00ec-463a-ae1f-47bd17aad846">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">(careProvisionDossier): de elementwaarde MOET zijn code 'CPHC' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:statusCode
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:statusCode"
         id="tmp-21ec3312-709a-4dc3-8822-afab60388188">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active') or (@code='completed') or (@code='aborted')">(careProvisionDossier): de elementwaarde MOET zijn code 'active' of code 'completed' of code 'aborted'.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@code='completed'">(careProvisionDossier): Alleen in uitzonderlijke gevallen kan een dossierstatus bij overdracht iets anders dan 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime"
         id="tmp-b1436147-26d3-410f-aaba-d4fd8ad3b622">
      <extends rule="tmp-ae9459b2-ca7d-4a32-9f5d-c95155934718"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="not(../hl7:statusCode[@code='aborted' or @code='completed']) or hl7:high">(careProvisionDossier): Als statusCode='aborted' of statusCode='completed' dan moet high/@value de datum en indien bekend de tijd bevatten van de afsluiting van de zorg.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10243
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent
Item: (Periode-M-Start-O-Eind-M)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent"
         id="tmp-fcf2b506-a95c-4756-b91f-b24b88a8231d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-O-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10243
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime
Item: (Periode-M-Start-O-Eind-M)
-->
<rule id="tmp-ae9459b2-ca7d-4a32-9f5d-c95155934718" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-O-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-O-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-O-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10243
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-O-Eind-M)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-bd5a3e80-ada1-4610-b570-e14faba08c9e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-O-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-M): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10243
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-O-Eind-M)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high"
         id="tmp-5353e3cd-0619-4893-bbec-1353cb0dcf72">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10243-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-O-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10243
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-O-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10243
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-O-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]"
         id="tmp-0b4f1baa-e294-46ef-8b4b-109cfaeda413">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="patRoot" value="'2.16.840.1.113883.2.4.6.3'"/>
      <let name="patExt"
           value="(hl7:patient/hl7:id[@root=$patRoot])[1]/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]">(careProvisionDossier): De patiënt in de Payload (BSN '<value-of select="$patExt"/>') moet overeen komen met de patient in de attentionLine (BSN '<value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>')</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-78ca5a1e-2cf0-4fb9-ab6d-425b37734cb5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@typeCode)='RESP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionDossier): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(careProvisionDossier): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-9d1fb1bf-05de-4a23-b69e-b95d992c70a6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(careProvisionDossier): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(careProvisionDossier): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:center)=0">(careProvisionDossier): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:width)=0">(careProvisionDossier): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low"
         id="tmp-1ba3df18-af29-4b29-92b7-38c3647ad950">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high"
         id="tmp-1543b06c-d6b8-4a38-87f8-e1b3cf2c6b9b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:center
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:width
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-c42f6061-c8dd-4f1b-be63-947b7c6391e2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionDossier): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(careProvisionDossier): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-ab9bd99f-63bb-4f8f-b39f-824a741ff0a1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(careProvisionDossier): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(careProvisionDossier): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:center)=0">(careProvisionDossier): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="count(hl7:width)=0">(careProvisionDossier): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low"
         id="tmp-cd0fe7a5-3d3f-4c9e-8625-96e6be9e3066">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high"
         id="tmp-d8a06896-e530-4b1a-a9d7-effda127fb16">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:center
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:width
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]"
         id="tmp-53edc9b9-675d-4560-96a9-816ddc3ca577">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@typeCode)='APND' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'APND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:document)&gt;=1 and not(hl7:document/@nullFlavor)">(careProvisionEventAppendage): element hl7:document is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:document)&lt;=1">(careProvisionEventAppendage): element hl7:document komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document"
         id="tmp-3a40c9be-f3ae-4e70-8448-0091d00c1dc5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@classCode)='DOC' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventAppendage): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="hl7:effectiveTime/@value or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']">(careProvisionEventAppendage): effectiveTime is verplicht als het bestand geen JGZ-dossier betreft</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="hl7:author or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']">(careProvisionEventAppendage): author is verplicht als het bestand geen JGZ-dossier betreft</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="hl7:location or not(hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303'])">(careProvisionEventAppendage): location is verplicht als het bestand een JGZ-dossier betreft</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventAppendage): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAppendage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventAppendage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventAppendage): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventAppendage): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:location)&lt;=1">(careProvisionEventAppendage): element hl7:location komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']"
         id="tmp-ed53e6f8-52b7-47e5-8712-75a5fde17d3f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.84-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.84-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(careProvisionEventAppendage): de waarde van @code MOET worden gekozen uit waardenlijst W0084_HL7 W0084 Onderwerp document (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAppendage): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0084_HL7 W0084 Onderwerp document (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:text
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:text"
         id="tmp-0d1de1cd-3e0a-43a5-95a9-1d0dd9e738aa">
      <extends rule="tmp-2cfe265a-7139-48f3-b144-63b35d79a277"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10250
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document
Item: (DatatypeEDTextOrBase64)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document"
         id="tmp-d16cbe60-d75a-45ef-9704-aee0b918e8db">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10250-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(DatatypeEDTextOrBase64): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10250
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:text
Item: (DatatypeEDTextOrBase64)
-->
<rule id="tmp-2cfe265a-7139-48f3-b144-63b35d79a277" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10250-2012-08-01T000000.html"
              test="count(hl7:reference)=0">(DatatypeEDTextOrBase64): element hl7:reference MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10250-2012-08-01T000000.html"
              test="count(hl7:thumbnail)=0">(DatatypeEDTextOrBase64): element hl7:thumbnail MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10250
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:text/hl7:reference
Item: (DatatypeEDTextOrBase64)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10250
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:text/hl7:thumbnail
Item: (DatatypeEDTextOrBase64)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:effectiveTime
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:effectiveTime"
         id="tmp-bb35bd15-be5e-4786-996f-3bfaf536b621">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:author
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:author"
         id="tmp-09c9ef4f-b9a6-48d1-b646-e62c757e9e4e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(careProvisionEventAppendage): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(careProvisionEventAppendage): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:author/hl7:assignedEntity
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:author/hl7:assignedEntity"
         id="tmp-5e7f03e5-be33-424b-bee1-4ff171fd39f1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(careProvisionEventAppendage): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(careProvisionEventAppendage): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-3eefed00-d03a-4d70-96a8-a97185be166a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(careProvisionEventAppendage): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(careProvisionEventAppendage): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(careProvisionEventAppendage): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-1a772a75-02b5-4a8b-b7d3-66ac00cadf1b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:location
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:location"
         id="tmp-7f6ccb21-6e65-4b56-b985-0c55e6b8b619">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:archivalLocation)&gt;=1 and not(hl7:archivalLocation/@nullFlavor)">(careProvisionEventAppendage): element hl7:archivalLocation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:archivalLocation)&lt;=1">(careProvisionEventAppendage): element hl7:archivalLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:location/hl7:archivalLocation
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:location/hl7:archivalLocation"
         id="tmp-91c8e455-41f7-4577-a031-9ccf8d43e526">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="string(@typeCode)='LOCE' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'LOCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(careProvisionEventAppendage): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(careProvisionEventAppendage): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10008
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:location/hl7:archivalLocation/hl7:name
Item: (careProvisionEventAppendage)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:appendage[hl7:document[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.303') or @nullFlavor='OTH']]]/hl7:document/hl7:location/hl7:archivalLocation/hl7:name"
         id="tmp-2af9790d-527c-4088-b4dc-647be20f89ce">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10008-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization"
         id="tmp-665f1494-3fbb-4c84-bb86-4cc1135349c0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@typeCode)='AUTH' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(careProvisionEventAuthorization): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(careProvisionEventAuthorization): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:consentEvent)&lt;=1">(careProvisionEventAuthorization): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent"
         id="tmp-3e1a6aa6-6aae-4a3d-9a91-c1ddf308b104">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@classCode)='CONS' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventAuthorization): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string-length(@negationInd)&gt;0 or not(@negationInd)">(careProvisionEventAuthorization): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@negationInd='true' or not(hl7:code[@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'true' zijn bij een bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@negationInd='true' or not(hl7:code[@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'true' zijn bij een bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="hl7:author/hl7:assignedEntity1 or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): assignedEntity1 is verplicht bij toestemming aan verpleegkundige vaccinaties</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="not(hl7:subjectOf) or hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']">(careProvisionEventAuthorization): subjectOf/annotation is alleen mogelijk bij toestemming verstrekking informatie aan derden</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']|hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(careProvisionEventAuthorization): keuze (hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(careProvisionEventAuthorization): keuze (hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventAuthorization): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:subjectOf)&lt;=1">(careProvisionEventAuthorization): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-0169870e-f719-4b87-8074-4944dcdbb102">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventAuthorization): de elementwaarde MOET zijn code '469' codeSystem '2.16.840.1.113883.2.4.4.40.267' of code '1163' codeSystem '2.16.840.1.113883.2.4.4.40.267' of code '1398' codeSystem '2.16.840.1.113883.2.4.4.40.267' of code '1165' codeSystem '2.16.840.1.113883.2.4.4.40.267' of code '1395' codeSystem '2.16.840.1.113883.2.4.4.40.267' of code '1404' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']"
         id="tmp-7b84f340-ff82-4815-89c6-df72b8f7624d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.32-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.32-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(careProvisionEventAuthorization): de waarde van @code MOET worden gekozen uit waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAuthorization): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author"
         id="tmp-9b4786f4-78a6-4cd9-8bce-069cfc58656a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventAuthorization): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventAuthorization): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:patient1|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]|hl7:assignedEntity1)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(careProvisionEventAuthorization): keuze (hl7:patient1 of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] of hl7:assignedEntity1) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(careProvisionEventAuthorization): keuze (hl7:patient1 of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] of hl7:assignedEntity1) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:time
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:time"
         id="tmp-2b502b8d-d7a7-41ca-9174-7d4258293e34">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:patient1
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:patient1"
         id="tmp-34ee18c3-99b4-4496-9f44-74b76c50bae5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]"
         id="tmp-5c089a9d-8ab2-4a75-98c0-d516e159c2c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@classCode)='PRS' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventAuthorization): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAuthorization): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(careProvisionEventAuthorization): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(careProvisionEventAuthorization): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:code
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:code"
         id="tmp-5ab51dc3-965e-4a32-ac50-1358a6ecdfae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.88-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.88-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(careProvisionEventAuthorization): de waarde van @code MOET worden gekozen uit waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAuthorization): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@code='PRN' or @nullFlavor">(careProvisionEventAuthorization): 
                                        <name path=".."/>/<name/> MOET de "Ouder" of "Anders" zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:relationshipHolder
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:relationshipHolder"
         id="tmp-82d578c5-3b25-493d-8d95-eb5550cf4b8a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(careProvisionEventAuthorization): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(careProvisionEventAuthorization): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(careProvisionEventAuthorization): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(careProvisionEventAuthorization): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1"
         id="tmp-b9d5d0e6-c4d8-459a-95c2-600a9e246d59">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(careProvisionEventAuthorization): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(careProvisionEventAuthorization): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-31c199d7-cddb-4d50-b826-5ece929042b6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(careProvisionEventAuthorization): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf[hl7:annotation[hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf[hl7:annotation[hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-844173eb-0aac-4dc1-96af-d9ab675cae47">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(careProvisionEventAuthorization): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(careProvisionEventAuthorization): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf[hl7:annotation[hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf[hl7:annotation[hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation"
         id="tmp-22b04f40-f16d-4a5a-a7c6-d2d761b7049a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventAuthorization): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAuthorization): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(careProvisionEventAuthorization): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventAuthorization): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf[hl7:annotation[hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf[hl7:annotation[hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-bbc102a7-aa57-4583-a0b8-a6ce6b4bf0e8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventAuthorization): de elementwaarde MOET zijn code '1407' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10010
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf[hl7:annotation[hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text
Item: (careProvisionEventAuthorization)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf[hl7:annotation[hl7:code[(@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text"
         id="tmp-0955a8ac-49d8-4730-8985-9f9a04a5c03f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10010-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10009
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:summary[hl7:observationEvent[hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (careProvisionEventSummary)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:summary[hl7:observationEvent[hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-67227268-c76f-4d67-bec4-ce9433d2c880">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(careProvisionEventSummary): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="count(hl7:observationEvent)&lt;=1">(careProvisionEventSummary): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10009
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:summary[hl7:observationEvent[hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent
Item: (careProvisionEventSummary)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:summary[hl7:observationEvent[hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent"
         id="tmp-560dc111-08a2-4abf-8a68-a1eeb34427a8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(careProvisionEventSummary): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventSummary): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSummary): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSummary): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(careProvisionEventSummary): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventSummary): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10009
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:summary[hl7:observationEvent[hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (careProvisionEventSummary)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:summary[hl7:observationEvent[hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-2ad300bb-e86e-4a23-9344-5b92b04fc256">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSummary): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="@nullFlavor or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSummary): de elementwaarde MOET zijn code '492' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10009
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:summary[hl7:observationEvent[hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value
Item: (careProvisionEventSummary)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:summary[hl7:observationEvent[hl7:code[(@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value"
         id="tmp-0257dc93-966c-45a4-b4b1-f117a85b37b7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10009-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSummary): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]]
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]]"
         id="tmp-bb9c7509-32f7-4767-96cd-4b5167ff57dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10012
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1"
         id="tmp-02fc2493-5a2b-4fed-a6a6-137f8a0b3e64">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionEventComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10012
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData"
         id="tmp-c8b3853d-58e6-4a9e-89e0-505d3ba7d35c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(careProvisionEventComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10012
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-cf99fc5b-3a01-4d89-bdc2-5b60ea91d57c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(careProvisionEventComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10012
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-c7d78acb-3840-4715-bbba-219cc5590f90">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10012
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:value
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-34f6be70-9f9c-44a2-bdc5-5e826cd0af55">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10012
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]]]
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]]]"
         id="tmp-096d4ee2-4e63-4087-a61b-a45d60848311">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionEventComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10012
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]]]/hl7:categoryInBDS
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]]]/hl7:categoryInBDS"
         id="tmp-9e277a06-a00e-463e-b7cd-a22d4ea5c8e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(careProvisionEventComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10012
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]]]/hl7:categoryInBDS/hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]]]/hl7:categoryInBDS/hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]"
         id="tmp-c4c7a51b-f6a0-4ebe-b149-da3c176762a5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.639.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.639.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(careProvisionEventComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10012-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10013
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2"
         id="tmp-cbe5632c-c000-447e-9fac-ace1ca75d958">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionEventComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:metaData)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10013
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData"
         id="tmp-f883ddec-40c8-40c0-b6d5-d5de7836ac00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(careProvisionEventComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(careProvisionEventComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10013
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:code
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-6c1d9632-2db9-467e-adc6-bdacd3024f33">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="@displayName or not(@code)">(careProvisionEventComponent2MetaData): 
                            <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10013
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:value
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-c94a060b-b14a-4fd1-9fc2-b838d9f9f2fa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="@displayName or not(@code)">(careProvisionEventComponent2MetaData): 
                            <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10013
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='G083' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G001' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G096' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G002' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G003' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G004' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G097' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G077' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G014' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G016' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G017' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G015' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G018' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G078' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G093' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G092' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G085' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G098' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G091' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G099' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G086' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G100' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G082' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G101' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G005' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G102' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G041' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G103' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G006' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G104' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G007' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G105' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G008' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G106' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G009' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G107' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G011' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G010' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G071' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G012' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G088' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G089' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G072' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G108' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G109' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G110' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='53' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='55' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='56' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='58' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='62' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='63' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='64' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='65' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='66' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='67' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='68' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='81' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='88' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='129' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='130' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='143' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='237' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='314' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='316' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='360' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='361' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='362' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='373' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='603' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='604' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='605' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='606' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='607' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='609' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='610' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='630' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='631' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='655' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='656' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='657' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='658' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='659' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='660' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='661' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='662' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='663' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='664' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='665' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='666' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='667' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='669' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='670' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='671' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='672' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='688' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='695' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='696' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='697' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='698' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='701' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='702' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='703' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='704' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='705' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='706' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='707' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='708' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='709' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='710' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='711' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='712' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='713' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='714' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='715' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='716' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='717' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='719' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='720' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='721' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='722' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='723' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='724' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='725' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='730' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='731' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='732' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='733' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='734' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='735' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='736' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='737' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='738' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='793' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='799' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='801' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='803' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='809' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='810' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='811' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='812' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='813' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='826' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='873' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='876' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='924' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1041' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1043' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1044' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1158' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1159' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1166' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1168' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1169' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1187' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1189' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1191' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1194' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1332' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1333' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1334' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1335' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1336' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1341' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1342' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1343' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1344' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1350' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1351' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1352' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1369' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1371' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1372' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1375' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1377' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1383' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1385' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1386' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1388' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1389' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1400' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1401' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1409' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1410' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1411' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1417' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1423' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1424' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1427' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1429' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1430' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1431' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1448' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1449' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1450' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1451' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1452' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1453' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1454' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1455' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1456' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1457' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1459' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1460' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1462' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1463' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1464' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1465' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1466' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1467' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1468' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1470' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1471' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1473' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1474' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1475' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1477' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1478' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1479' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1484' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1486' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1489' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1490' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1491' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='G083' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G001' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G096' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G002' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G003' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G004' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G097' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G077' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G014' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G016' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G017' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G015' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G018' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G078' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G093' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G092' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G085' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G098' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G091' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G099' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G086' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G100' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G082' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G101' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G005' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G102' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G041' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G103' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G006' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G104' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G007' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G105' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G008' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G106' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G009' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G107' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G011' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G010' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G071' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G012' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G088' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G089' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G072' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G108' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G109' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G110' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='53' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='55' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='56' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='58' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='62' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='63' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='64' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='65' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='66' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='67' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='68' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='81' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='88' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='129' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='130' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='143' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='237' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='314' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='316' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='360' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='361' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='362' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='373' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='603' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='604' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='605' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='606' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='607' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='609' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='610' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='630' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='631' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='655' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='656' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='657' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='658' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='659' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='660' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='661' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='662' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='663' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='664' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='665' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='666' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='667' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='669' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='670' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='671' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='672' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='688' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='695' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='696' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='697' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='698' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='701' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='702' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='703' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='704' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='705' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='706' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='707' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='708' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='709' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='710' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='711' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='712' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='713' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='714' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='715' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='716' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='717' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='719' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='720' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='721' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='722' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='723' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='724' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='725' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='730' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='731' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='732' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='733' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='734' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='735' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='736' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='737' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='738' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='793' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='799' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='801' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='803' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='809' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='810' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='811' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='812' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='813' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='826' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='873' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='876' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='924' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1041' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1043' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1044' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1158' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1159' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1166' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1168' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1169' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1187' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1189' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1191' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1194' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1332' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1333' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1334' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1335' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1336' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1341' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1342' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1343' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1344' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1350' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1351' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1352' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1369' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1371' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1372' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1375' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1377' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1383' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1385' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1386' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1388' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1389' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1400' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1401' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1409' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1410' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1411' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1417' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1423' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1424' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1427' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1429' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1430' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1431' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1448' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1449' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1450' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1451' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1452' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1453' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1454' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1455' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1456' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1457' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1459' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1460' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1462' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1463' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1464' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1465' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1466' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1467' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1468' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1470' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1471' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1473' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1474' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1475' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1477' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1478' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1479' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1484' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1486' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1489' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1490' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1491' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-5ce2e2fe-91b6-4232-9d64-aacdab092aae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionEventComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10013
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='G083' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G001' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G096' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G002' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G003' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G004' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G097' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G077' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G014' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G016' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G017' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G015' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G018' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G078' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G093' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G092' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G085' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G098' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G091' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G099' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G086' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G100' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G082' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G101' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G005' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G102' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G041' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G103' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G006' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G104' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G007' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G105' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G008' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G106' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G009' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G107' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G011' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G010' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G071' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G012' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G088' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G089' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G072' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G108' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G109' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G110' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='53' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='55' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='56' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='58' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='62' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='63' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='64' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='65' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='66' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='67' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='68' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='81' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='88' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='129' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='130' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='143' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='237' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='314' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='316' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='360' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='361' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='362' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='373' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='603' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='604' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='605' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='606' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='607' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='609' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='610' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='630' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='631' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='655' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='656' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='657' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='658' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='659' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='660' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='661' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='662' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='663' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='664' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='665' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='666' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='667' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='669' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='670' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='671' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='672' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='688' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='695' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='696' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='697' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='698' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='701' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='702' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='703' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='704' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='705' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='706' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='707' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='708' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='709' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='710' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='711' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='712' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='713' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='714' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='715' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='716' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='717' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='719' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='720' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='721' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='722' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='723' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='724' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='725' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='730' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='731' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='732' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='733' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='734' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='735' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='736' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='737' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='738' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='793' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='799' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='801' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='803' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='809' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='810' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='811' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='812' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='813' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='826' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='873' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='876' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='924' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1041' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1043' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1044' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1158' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1159' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1166' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1168' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1169' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1187' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1189' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1191' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1194' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1332' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1333' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1334' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1335' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1336' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1341' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1342' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1343' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1344' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1350' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1351' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1352' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1369' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1371' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1372' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1375' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1377' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1383' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1385' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1386' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1388' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1389' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1400' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1401' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1409' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1410' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1411' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1417' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1423' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1424' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1427' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1429' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1430' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1431' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1448' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1449' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1450' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1451' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1452' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1453' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1454' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1455' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1456' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1457' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1459' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1460' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1462' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1463' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1464' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1465' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1466' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1467' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1468' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1470' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1471' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1473' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1474' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1475' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1477' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1478' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1479' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1484' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1486' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1489' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1490' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1491' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:categoryInBDS
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='G083' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G001' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G096' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G002' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G003' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G004' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G097' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G077' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G014' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G016' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G017' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G015' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G018' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G078' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G093' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G092' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G085' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G098' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G091' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G099' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G086' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G100' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G082' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G101' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G005' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G102' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G041' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G103' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G006' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G104' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G007' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G105' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G008' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G106' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G009' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G107' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G011' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G010' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G071' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G012' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G088' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G089' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G072' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G108' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G109' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G110' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='53' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='55' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='56' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='58' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='62' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='63' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='64' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='65' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='66' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='67' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='68' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='81' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='88' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='129' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='130' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='143' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='237' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='314' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='316' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='360' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='361' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='362' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='373' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='603' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='604' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='605' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='606' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='607' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='609' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='610' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='630' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='631' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='655' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='656' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='657' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='658' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='659' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='660' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='661' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='662' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='663' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='664' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='665' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='666' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='667' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='669' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='670' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='671' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='672' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='688' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='695' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='696' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='697' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='698' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='701' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='702' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='703' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='704' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='705' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='706' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='707' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='708' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='709' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='710' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='711' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='712' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='713' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='714' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='715' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='716' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='717' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='719' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='720' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='721' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='722' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='723' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='724' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='725' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='730' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='731' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='732' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='733' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='734' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='735' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='736' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='737' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='738' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='793' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='799' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='801' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='803' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='809' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='810' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='811' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='812' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='813' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='826' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='873' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='876' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='924' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1041' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1043' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1044' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1158' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1159' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1166' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1168' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1169' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1187' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1189' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1191' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1194' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1332' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1333' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1334' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1335' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1336' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1341' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1342' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1343' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1344' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1350' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1351' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1352' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1369' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1371' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1372' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1375' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1377' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1383' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1385' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1386' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1388' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1389' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1400' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1401' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1409' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1410' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1411' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1417' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1423' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1424' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1427' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1429' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1430' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1431' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1448' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1449' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1450' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1451' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1452' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1453' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1454' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1455' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1456' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1457' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1459' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1460' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1462' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1463' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1464' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1465' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1466' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1467' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1468' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1470' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1471' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1473' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1474' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1475' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1477' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1478' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1479' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1484' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1486' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1489' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1490' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1491' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:categoryInBDS"
         id="tmp-4243f6ce-b922-419f-86d9-d4a4385f3bf4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(careProvisionEventComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10013
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='G083' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G001' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G096' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G002' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G003' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G004' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G097' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G077' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G014' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G016' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G017' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G015' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G018' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G078' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G093' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G092' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G085' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G098' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G091' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G099' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G086' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G100' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G082' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G101' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G005' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G102' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G041' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G103' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G006' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G104' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G007' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G105' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G008' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G106' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G009' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G107' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G011' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G010' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G071' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G012' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G088' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G089' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G072' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G108' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G109' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G110' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='53' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='55' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='56' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='58' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='62' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='63' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='64' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='65' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='66' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='67' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='68' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='81' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='88' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='129' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='130' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='143' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='237' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='314' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='316' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='360' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='361' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='362' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='373' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='603' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='604' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='605' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='606' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='607' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='609' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='610' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='630' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='631' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='655' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='656' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='657' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='658' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='659' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='660' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='661' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='662' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='663' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='664' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='665' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='666' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='667' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='669' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='670' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='671' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='672' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='688' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='695' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='696' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='697' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='698' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='701' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='702' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='703' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='704' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='705' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='706' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='707' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='708' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='709' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='710' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='711' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='712' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='713' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='714' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='715' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='716' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='717' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='719' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='720' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='721' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='722' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='723' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='724' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='725' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='730' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='731' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='732' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='733' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='734' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='735' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='736' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='737' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='738' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='793' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='799' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='801' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='803' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='809' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='810' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='811' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='812' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='813' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='826' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='873' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='876' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='924' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1041' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1043' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1044' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1158' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1159' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1166' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1168' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1169' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1187' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1189' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1191' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1194' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1332' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1333' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1334' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1335' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1336' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1341' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1342' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1343' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1344' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1350' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1351' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1352' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1369' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1371' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1372' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1375' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1377' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1383' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1385' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1386' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1388' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1389' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1400' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1401' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1409' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1410' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1411' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1417' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1423' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1424' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1427' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1429' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1430' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1431' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1448' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1449' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1450' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1451' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1452' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1453' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1454' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1455' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1456' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1457' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1459' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1460' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1462' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1463' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1464' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1465' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1466' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1467' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1468' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1470' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1471' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1473' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1474' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1475' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1477' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1478' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1479' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1484' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1486' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1489' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1490' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1491' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:categoryInBDS/hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='G083' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G001' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G096' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G002' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G003' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G004' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G097' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G077' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G014' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G016' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G017' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G015' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G018' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G078' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G093' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G092' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G085' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G098' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G091' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G099' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G086' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G100' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G082' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G101' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G005' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G102' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G041' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G103' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G006' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G104' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G007' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G105' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G008' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G106' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G009' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G107' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G011' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G010' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G071' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G012' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G088' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G089' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G072' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G108' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G109' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G110' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='53' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='55' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='56' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='58' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='62' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='63' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='64' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='65' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='66' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='67' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='68' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='81' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='88' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='129' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='130' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='143' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='237' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='314' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='316' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='360' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='361' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='362' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='373' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='603' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='604' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='605' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='606' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='607' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='609' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='610' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='630' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='631' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='655' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='656' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='657' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='658' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='659' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='660' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='661' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='662' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='663' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='664' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='665' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='666' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='667' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='669' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='670' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='671' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='672' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='688' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='695' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='696' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='697' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='698' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='701' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='702' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='703' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='704' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='705' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='706' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='707' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='708' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='709' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='710' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='711' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='712' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='713' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='714' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='715' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='716' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='717' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='719' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='720' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='721' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='722' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='723' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='724' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='725' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='730' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='731' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='732' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='733' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='734' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='735' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='736' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='737' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='738' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='793' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='799' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='801' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='803' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='809' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='810' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='811' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='812' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='813' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='826' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='873' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='876' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='924' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1041' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1043' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1044' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1158' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1159' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1166' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1168' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1169' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1187' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1189' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1191' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1194' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1332' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1333' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1334' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1335' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1336' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1341' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1342' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1343' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1344' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1350' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1351' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1352' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1369' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1371' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1372' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1375' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1377' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1383' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1385' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1386' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1388' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1389' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1400' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1401' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1409' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1410' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1411' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1417' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1423' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1424' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1427' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1429' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1430' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1431' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1448' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1449' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1450' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1451' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1452' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1453' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1454' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1455' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1456' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1457' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1459' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1460' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1462' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1463' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1464' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1465' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1466' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1467' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1468' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1470' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1471' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1473' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1474' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1475' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1477' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1478' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1479' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1484' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1486' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1489' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1490' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1491' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='G083' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G001' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G096' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G002' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G003' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G004' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G097' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G077' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G014' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G016' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G017' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G015' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G018' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G078' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G093' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G092' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G085' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G098' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G091' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G099' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G086' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G100' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G082' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G101' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G005' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G102' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G041' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G103' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G006' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G104' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G007' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G105' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G008' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G106' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G009' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G107' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G011' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G010' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G071' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G012' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G088' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G089' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G072' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G108' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G109' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G110' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='53' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='55' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='56' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='58' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='62' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='63' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='64' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='65' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='66' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='67' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='68' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='81' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='88' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='129' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='130' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='143' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='237' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='314' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='316' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='360' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='361' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='362' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='373' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='603' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='604' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='605' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='606' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='607' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='609' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='610' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='630' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='631' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='655' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='656' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='657' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='658' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='659' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='660' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='661' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='662' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='663' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='664' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='665' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='666' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='667' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='669' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='670' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='671' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='672' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='688' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='695' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='696' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='697' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='698' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='701' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='702' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='703' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='704' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='705' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='706' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='707' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='708' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='709' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='710' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='711' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='712' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='713' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='714' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='715' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='716' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='717' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='719' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='720' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='721' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='722' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='723' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='724' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='725' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='730' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='731' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='732' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='733' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='734' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='735' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='736' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='737' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='738' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='793' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='799' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='801' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='803' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='809' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='810' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='811' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='812' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='813' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='826' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='873' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='876' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='924' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1041' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1043' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1044' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1158' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1159' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1166' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1168' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1169' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1187' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1189' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1191' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1194' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1332' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1333' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1334' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1335' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1336' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1341' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1342' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1343' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1344' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1350' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1351' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1352' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1369' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1371' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1372' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1375' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1377' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1383' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1385' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1386' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1388' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1389' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1400' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1401' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1409' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1410' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1411' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1417' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1423' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1424' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1427' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1429' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1430' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1431' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1448' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1449' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1450' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1451' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1452' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1453' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1454' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1455' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1456' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1457' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1459' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1460' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1462' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1463' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1464' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1465' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1466' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1467' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1468' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1470' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1471' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1473' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1474' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1475' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1477' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1478' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1479' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1484' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1486' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1489' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1490' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1491' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:categoryInBDS/hl7:code[(@code='R002' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R051' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R003' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R011' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R050' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R005' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R006' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R007' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R035' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R008' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R010' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R009' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='R048' and @codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@code='G083' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G001' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G096' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G002' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G003' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G004' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G097' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G077' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G014' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G016' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G017' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G015' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G018' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G078' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G093' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G092' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G085' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G098' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G091' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G099' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G086' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G100' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G082' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G101' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G005' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G102' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G041' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G103' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G006' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G104' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G007' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G105' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G008' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G106' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G009' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G107' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G011' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G010' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G071' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G012' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G088' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G089' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G072' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G108' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G109' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='G110' and @codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='42' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='53' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='55' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='56' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='58' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='61' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='62' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='63' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='64' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='65' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='66' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='67' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='68' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='69' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='71' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='72' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='73' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='74' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='75' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='76' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='81' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='88' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='129' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='130' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='143' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='237' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='314' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='316' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='360' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='361' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='362' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='373' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='603' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='604' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='605' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='606' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='607' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='609' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='610' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='630' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='631' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='655' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='656' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='657' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='658' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='659' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='660' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='661' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='662' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='663' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='664' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='665' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='666' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='667' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='669' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='670' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='671' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='672' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='688' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='695' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='696' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='697' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='698' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='701' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='702' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='703' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='704' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='705' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='706' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='707' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='708' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='709' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='710' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='711' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='712' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='713' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='714' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='715' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='716' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='717' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='719' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='720' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='721' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='722' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='723' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='724' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='725' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='730' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='731' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='732' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='733' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='734' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='735' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='736' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='737' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='738' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='793' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='799' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='801' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='803' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='809' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='810' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='811' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='812' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='813' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='826' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='873' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='876' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='924' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1041' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1043' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1044' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1158' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1159' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1166' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1168' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1169' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1171' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1172' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1183' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1185' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1186' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1187' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1189' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1191' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1194' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1200' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1318' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1332' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1333' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1334' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1335' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1336' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1341' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1342' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1343' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1344' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1350' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1351' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1352' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1363' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1364' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1368' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1369' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1370' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1371' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1372' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1375' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1377' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1381' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1383' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1385' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1386' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1388' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1389' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1400' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1401' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1409' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1410' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1411' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1417' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1423' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1424' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1427' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1429' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1430' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1431' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1448' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1449' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1450' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1451' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1452' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1453' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1454' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1455' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1456' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1457' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1458' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1459' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1460' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1461' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1462' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1463' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1464' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1465' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1466' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1467' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1468' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1470' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1471' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1472' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1473' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1474' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1475' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1477' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1478' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1479' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1480' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1483' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1484' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1486' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1488' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1489' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1490' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1491' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-83d0e7dd-b34d-450a-b96d-bb5f234abaf3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.639.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.646.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.647-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.639.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.646.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.647-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(careProvisionEventComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens (DYNAMISCH) of W0646_HL7_ConstanteGegevens W0646 GroepID constante gegevens (DYNAMISCH) of W0647_HL7 W0647 BDS Elementen (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10013-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens (DYNAMISCH) of W0646_HL7_ConstanteGegevens W0646 GroepID constante gegevens (DYNAMISCH) of W0647_HL7 W0647 BDS Elementen (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component3[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component3[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]"
         id="tmp-aae2f35c-b9da-4d1e-a72c-bee71b8a2fc3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component4[hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]]
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component4[hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]]"
         id="tmp-81168b96-9d3a-4a77-b5e0-966a1fbf3c3c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10006
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component5[hl7:neonateData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']]]
Item: (careProvisionDossier)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component5[hl7:neonateData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']]]"
         id="tmp-a44e3e37-2dd8-4ebc-92ef-5beeae6b02f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10006-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-31a03de9-3f60-400c-8d8d-7a855e3821f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:informationControlActEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:informationControlActEvent)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:informationControlActEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent"
         id="tmp-ec0590f5-3d73-487f-933a-380ead58b962">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@classCode)='INFO' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'INFO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string-length(@negationInd)&gt;0 or not(@negationInd)">(careProvisionEventComponent6InformationControlAct): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:informationRecipient)&gt;=1 and not(hl7:informationRecipient/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:informationRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:informationRecipient)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-94be01b1-b029-46b7-80d7-70a8009267e7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="@nullFlavor or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventComponent6InformationControlAct): de elementwaarde MOET zijn code '476' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:text
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:text"
         id="tmp-a0ae73bf-b6e9-4281-a4c0-07c2ccf5ca73">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:effectiveTime
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:effectiveTime"
         id="tmp-232f7cb8-d87e-4d79-af9d-e62faf4f8d74">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient"
         id="tmp-25b1354b-ba59-4f8d-ab96-6a019f1b70de">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@typeCode)='IRCP' or not(@typeCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @typeCode MOET 'IRCP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(careProvisionEventComponent6InformationControlAct): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(careProvisionEventComponent6InformationControlAct): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient/hl7:patient
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient/hl7:patient"
         id="tmp-32f1b82b-a93f-42e4-b6e6-a2b1751847f0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]"
         id="tmp-ee0fdcc6-b816-4d51-a7a7-6620ba034ae3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@classCode)='PRS' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventComponent6InformationControlAct): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(careProvisionEventComponent6InformationControlAct): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:code
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:code"
         id="tmp-145337f6-c598-4a1e-91c6-8ebd4b6dd1a7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.88-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.88-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(careProvisionEventComponent6InformationControlAct): de waarde van @code MOET worden gekozen uit waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent6InformationControlAct): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="@code='PRN' or @nullFlavor">(careProvisionEventComponent6InformationControlAct): 
                                        <name path=".."/>/<name/> MOET de "Ouder" of "Anders" zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10017
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:relationshipHolder
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component6[hl7:informationControlActEvent[hl7:code[(@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:relationshipHolder"
         id="tmp-a7cdc8dc-30ed-4e11-919a-33e7b40419cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(careProvisionEventComponent6InformationControlAct): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(careProvisionEventComponent6InformationControlAct): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10017-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(careProvisionEventComponent6InformationControlAct): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10018
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7
Item: (careProvisionEventComponent7Activity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7"
         id="tmp-21d7c005-f8a5-4b15-9e57-eb8da0cc9d0c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10018-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(careProvisionEventComponent7Activity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:encounter[@moodCode='EVN']|hl7:encounter[@moodCode='INT']|hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]|hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10018-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(careProvisionEventComponent7Activity): keuze (hl7:encounter[@moodCode='EVN'] of hl7:encounter[@moodCode='INT'] of hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']] of hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10018-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(careProvisionEventComponent7Activity): keuze (hl7:encounter[@moodCode='EVN'] of hl7:encounter[@moodCode='INT'] of hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']] of hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']"
         id="tmp-68a2bd67-a6eb-42ed-9cae-5ff1235d0b55">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(activityEncounterEVN): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activityEncounterEVN): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activityEncounterEVN): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308'])&gt;=1 ">(activityEncounterEVN): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308'])&lt;=1">(activityEncounterEVN): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterEVN): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterEVN): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityEncounterEVN): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityEncounterEVN): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activityEncounterEVN): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:author)=0">(activityEncounterEVN): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:consultant)&lt;=1">(activityEncounterEVN): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:inFulfillmentOf)&lt;=1">(activityEncounterEVN): element hl7:inFulfillmentOf komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:subjectOf)&lt;=1">(activityEncounterEVN): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(activityEncounterEVN): element hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:id
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:id"
         id="tmp-5987bbaf-4d78-4e9c-93a5-770d8666f247">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@root and @extension">(activityEncounterEVN): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308']
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308']"
         id="tmp-8185a517-1c57-4866-9c1f-06b805a0397a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:statusCode
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:statusCode"
         id="tmp-e57d312a-b288-4300-83e5-02ecb22657cc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or (@code='completed') or (@code='aborted')">(activityEncounterEVN): de elementwaarde MOET zijn code 'completed' of code 'aborted'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:effectiveTime
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:effectiveTime"
         id="tmp-4627eb32-db69-446e-b6fc-b09e47ce3ed0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:reasonCode
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:reasonCode"
         id="tmp-e9d5c860-a84a-45b4-9df9-29770a9de076">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer"
         id="tmp-892c28ab-a149-4b6a-880d-fb360519ef32">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity"
         id="tmp-86a6c22b-09b0-49fc-a173-d437e9893754">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(activitiesPerformer): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(activitiesPerformer): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-f26beb05-de06-490f-994c-a52bbe17f9ae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(activitiesPerformer): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:author
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant"
         id="tmp-8e23e628-2b82-4375-819a-449e5c45ddcd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@typeCode)='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity"
         id="tmp-0954480c-7bbd-484b-bc4f-023d8470206c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-5ecc0081-7964-4dea-9118-059276353fc4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-c5cdd915-bed7-4634-a003-f09c755cb539">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10025
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]
Item: (activitiesEscort)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]"
         id="tmp-87113ee1-e901-404f-b762-f7d5f4cbc3eb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="string(@typeCode)='ESC' or not(@typeCode)">(activitiesEscort): de waarde van @typeCode MOET 'ESC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">(activitiesEscort): element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:responsibleParty)&lt;=1">(activitiesEscort): element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10025
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty
Item: (activitiesEscort)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty"
         id="tmp-71eb52fe-c4ee-4717-9ccc-a2d14217493d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesEscort): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEscort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesEscort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:agentPerson)&gt;=1 ">(activitiesEscort): element hl7:agentPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:agentPerson)&lt;=1">(activitiesEscort): element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10025
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty/hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']
Item: (activitiesEscort)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty/hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']"
         id="tmp-36c8b44e-3909-4fc7-89ca-2a3a4c16317e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesEscort): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.193-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.193-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesEscort): de waarde van @code MOET worden gekozen uit waardenlijst W0193_HL7 W0193 Begeleider (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEscort): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0193_HL7 W0193 Begeleider (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10025
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty/hl7:agentPerson
Item: (activitiesEscort)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-984ca158-b6da-4cae-afe1-6c8e22d4da9a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(activitiesEscort): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(activitiesEscort): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]"
         id="tmp-334e3953-3746-412e-a74f-0fef22b22264">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='FLFS' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:encounter)&gt;=1 and not(hl7:encounter/@nullFlavor)">(activityEncounterEVN): element hl7:encounter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:encounter)&lt;=1">(activityEncounterEVN): element hl7:encounter komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter"
         id="tmp-125a7544-b47c-465a-84a1-b1e8cd242866">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@moodCode)='INT'">(activityEncounterEVN): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:id)=0">(activityEncounterEVN): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterEVN): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterEVN): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)=0">(activityEncounterEVN): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:reasonCode)=0">(activityEncounterEVN): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:performer)=0">(activityEncounterEVN): element hl7:performer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(activityEncounterEVN): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:consultant)=0">(activityEncounterEVN): element hl7:consultant MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:escort)=0">(activityEncounterEVN): element hl7:escort MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:inFulFillmentOf)=0">(activityEncounterEVN): element hl7:inFulFillmentOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation)=0">(activityEncounterEVN): element hl7:pertinentInformation MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:component1)=0">(activityEncounterEVN): element hl7:component1 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:component2)=0">(activityEncounterEVN): element hl7:component2 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:substanceAdministration)=0">(activityEncounterEVN): element hl7:substanceAdministration MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:component4)=0">(activityEncounterEVN): element hl7:component4 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:component5)=0">(activityEncounterEVN): element hl7:component5 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:subjectOf)=0">(activityEncounterEVN): element hl7:subjectOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:subjectOf1)=0">(activityEncounterEVN): element hl7:subjectOf1 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:subjectOf2)=0">(activityEncounterEVN): element hl7:subjectOf2 MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:id
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']"
         id="tmp-9ee97771-c835-420f-9e9b-2edee927d54d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:statusCode
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:statusCode"
         id="tmp-48950715-19a4-468e-a337-8817d2fcc4ec">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or (@code='completed') or (@code='cancelled')">(activityEncounterEVN): de elementwaarde MOET zijn code 'completed' of code 'cancelled'.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="not(@code='cancelled') or ../hl7:subjectOf">(activityEncounterEVN): 
                                <name path=".."/>/<name/>/@code='cancelled', maar er is geen reden waarom</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:effectiveTime
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:reasonCode
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:performer
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author"
         id="tmp-f127cde3-8d9a-4bd9-b4d9-ee4ec4cd1399">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(activitiesEncounterINTAuthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]|hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:patient
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:patient"
         id="tmp-949385f0-3c28-4df2-aade-21d5b3886cb2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]"
         id="tmp-71211a51-b169-4d3f-af27-977013f96810">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@classCode)='PRS' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesEncounterINTAuthor): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(activitiesEncounterINTAuthor): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]/hl7:code"
         id="tmp-b0c6dea3-d56b-4345-a5a2-7452be938681">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')">(activitiesEncounterINTAuthor): de elementwaarde MOET zijn code '02' codeSystem '2.16.840.1.113883.2.4.4.40.411'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]/hl7:relationshipHolder
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]/hl7:relationshipHolder"
         id="tmp-864de4cc-cd4c-48d7-a578-ddcae105676d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(activitiesEncounterINTAuthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(activitiesEncounterINTAuthor): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]"
         id="tmp-71d409ea-936a-4ee3-b6da-12c7b4a582e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:author/hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]/hl7:code"
         id="tmp-21f8d1d1-18f7-4832-9b4e-f3421b22e63a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.659-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.659-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesEncounterINTAuthor): de waarde van @code MOET worden gekozen uit waardenlijst W0659_HL7 W0659 Verzoeker activiteit (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEncounterINTAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0659_HL7 W0659 Verzoeker activiteit (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="not(@code='02')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '02' moet in element personalRelationship</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="not(@code='03')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '03' moet in element patient</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:consultant
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:escort
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:inFulFillmentOf
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:pertinentInformation
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:component1
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:component2
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:substanceAdministration
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:component4
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:component5
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:subjectOf
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:subjectOf1
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf[hl7:encounter[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='35' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]]/hl7:encounter/hl7:subjectOf2
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-85b81d5b-14d4-43d9-9044-fb5baa0edbd8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-facedd96-91eb-4ef3-a290-d2fac8f02cfa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-aa0d4dc8-a26c-443e-82b3-f49b92b97a27">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-e2900521-0d2b-4cd3-b990-ed34ebdd79ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-56a226b7-697e-48d2-86ca-055a9fc23dae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-313265a0-3217-45c7-aa84-c0a6ef43dcc6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-e0ac5247-58ae-4f1d-95ac-9613cbcc9fae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-2721fe72-ffa4-4fda-a439-19834faef9f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-b1968bda-7d17-4f80-94ec-c155e5dfd0bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-4ab8d85d-1986-4471-8aa6-53959de95438">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-be27f98c-af93-44ff-85c0-a2c663953ae1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-ab773a1d-e59f-4ac8-a064-06bfb9d54157">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-607c9007-39c4-41bd-b5c3-5d7e9585093a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-a62cd3b8-1adf-4752-b2a3-35d6610d0c04">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-44a62c11-f186-4dad-ae58-2e280a356088">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-317975af-71ff-4ffb-89de-af4dcd003b34">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-7968de65-a684-48b9-a11a-56373f08a527">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-c9d487e2-8e69-4a51-af92-cea0860b4a3b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-72a1287d-d100-48ba-8f1a-302fcb18fb3f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-c405a4a4-bc5c-446e-a272-b36b0c1df31d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-c622afcb-45b3-40be-97f0-51baf86b1317">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-16a07a46-5a45-4f7f-a2a8-bca3bcd4327f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-82931646-8ac6-4556-90e2-88e47eb96f10">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-8456f79e-92cb-46bb-90d1-14f2d7e3cd74">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1"
         id="tmp-87270431-9127-4223-a621-1e27c3f7ce93">
      <extends rule="tmp-bb3b211d-cc52-4035-9a3d-653f87913db5"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-bb3b211d-cc52-4035-9a3d-653f87913db5" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData"
         id="tmp-12e8c8c3-9fe2-44e9-9748-3555be4947b7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-42b0a415-6c6a-4fe0-84e1-21f60bbb7cda">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-560cc60f-1b99-48e3-81bf-8a48f558ad1d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-330b138c-d4fd-4816-96a1-b35c4c9f020e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]"
         id="tmp-31af4450-99f5-4a6f-b02d-521bed027bea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS"
         id="tmp-716aac25-fbcf-4eed-9920-05493c2b5a09">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']"
         id="tmp-af7f5347-0fff-4b22-9fe4-3d792ed5ce8f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391')">(activitiesComponent1NonBDSData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2"
         id="tmp-15fac9b7-cbe3-4737-be84-74c54d84b18f">
      <extends rule="tmp-e51387a1-0ce1-4d63-bfba-3205d0cdc169"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-e51387a1-0ce1-4d63-bfba-3205d0cdc169" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData"
         id="tmp-b7bff2ac-b950-46a9-bbaa-e4367d4ec404">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-d5339e21-2b74-4d48-be94-5e22d450dd08">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-5cdefb36-2751-4108-a6f8-0978858d077f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7d57a48f-2237-4338-b380-51cbd6e87ce6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS"
         id="tmp-5d580114-d4c1-4187-95fc-e24c79232ad8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-3fd80660-63fc-4a94-93a2-8d4d8fa2c0c5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent2MetaData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391' of codeSystem '2.16.840.1.113883.2.4.4.40.393' of codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-704b3a68-535c-4991-b4bf-5c98892d7ec9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-9e333af3-3bb8-411f-98bd-ba3d8e4ce24e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5"
         id="tmp-a693314f-3c84-4682-91a3-99915ddcb456">
      <extends rule="tmp-7ddbf0ee-f4f4-44b1-95f6-947b899e1e73"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-7ddbf0ee-f4f4-44b1-95f6-947b899e1e73" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice"
         id="tmp-f7200b95-6456-45ef-8c3b-5eb383a26f07">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@classCode)='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'])&gt;=1 ">(activitiesComponent5Advice): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'])&lt;=1">(activitiesComponent5Advice): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80']
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80']"
         id="tmp-8c361356-60f4-4fb5-83b5-732d9748ea0f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.308-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.308-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-7cc6be5b-5401-4146-b5a0-87e4ff6756e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act"
         id="tmp-478707a4-f864-4a6b-b569-7078601a0a87">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-d657f7e5-f10f-4201-984d-48863c24a057">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de elementwaarde MOET zijn code '1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:text"
         id="tmp-fdac668f-5ea2-41dd-af24-4284293aa302">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-1b2bbc80-312b-4cff-b9fd-4216d7f19af1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)">(activityEncounterEVN): element hl7:abortedEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:abortedEvent)&lt;=1">(activityEncounterEVN): element hl7:abortedEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent"
         id="tmp-6f4b14ac-037f-41aa-88bd-885ce92888b1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@classCode)='STC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activityEncounterEVN): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(activityEncounterEVN): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(activityEncounterEVN): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent/hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent/hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-06194a55-418a-43eb-8882-21654464091c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterEVN): de elementwaarde MOET zijn code '495' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent/hl7:reasonCode
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent/hl7:reasonCode"
         id="tmp-724aca65-1522-4eff-9a8c-25650d1afcba">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')">(activityEncounterEVN): de elementwaarde MOET zijn code '02' codeSystem '2.16.840.1.113883.2.4.4.40.309'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-f5d2b1c9-a242-465b-871f-c5fca26eabf6">
      <extends rule="tmp-b8661526-04ca-45cf-a602-8f833edc7afd"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-b8661526-04ca-45cf-a602-8f833edc7afd" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion"
         id="tmp-3e53c1b1-70df-42a8-8907-cfc0bd759c61">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-57014646-213f-4704-bd35-323d8ae6deeb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '482' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:text"
         id="tmp-11029d73-8916-4b0e-bc74-84a49c191870">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-5816f710-0e9d-45df-8b02-da7b8182e39a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication"
         id="tmp-115c75f3-96fb-4f81-9bfa-fe24d7113c30">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-1ef1ea50-09f4-4e1b-a2b5-bf6b65cd35c7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '485' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:value"
         id="tmp-466bd62a-6cfc-4a09-a2b6-f0ad3c8fd81d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf"
         id="tmp-f2d3500c-606b-4e0f-96dd-a51d7f8b03df">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-87a8ac71-a1d2-43d4-8b65-9b08447a7e08">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-70627c24-4177-48df-b136-68d61cabc75a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of code '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of code '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6788cf7e-5ad7-42ec-91fc-a6306dc499aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-14dff5f2-7952-4822-abb0-f31d9ca1a4e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '5' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1ba2f719-29ea-4cfc-b993-1392a5ccff09">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-4a4ad160-4d6f-48b9-8487-ed5e2b6a725b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '4' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-67f8161a-2c69-4993-867f-dcae19b59a43">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-c5170da6-0f15-4476-9537-ab92e8daf1fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '6' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]"
         id="tmp-a8536dd7-c89f-4c18-9ccf-7ed8372f7140">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity"
         id="tmp-799c914a-987c-4ca5-b2e2-0b92cfebac9b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']"
         id="tmp-b01a37e0-05cf-4670-a3e3-509342bee4d5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-beba63c8-44b6-4c7e-b128-0eb44eb367b3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation"
         id="tmp-ec5bd81b-e828-4515-bee1-e6fd4c095105">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-0d0ba434-dd62-4ad3-9588-9cd045007536">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:value"
         id="tmp-e1102041-b53a-4c60-9ffc-6ae2ed9025ce">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(activitiesSubjectOfConclusion): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-870a43d7-b44f-4200-9a97-6a4d4d632be1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-c9f65733-5e86-4e80-876b-3d97cd337f25">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '7' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-dfad7521-d1ba-437a-87b0-0b95385ffbd0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-1ddb857f-5ce1-4717-a0b7-45a4249d370a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-a4ac0b01-0a50-4af6-bf0e-718af80a2ed5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-8b97a8dd-53ff-42e8-bbd8-3bf8f614fe82">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation"
         id="tmp-7233aab4-2bcc-4ac7-bd26-f3c335fed459">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-db71ed9f-4455-4f5c-920a-b70291dcf0b5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '493' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text"
         id="tmp-2a43f79a-f930-473c-a576-72a48b8a908f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-ad69870b-e581-4dad-bfd6-5d0a269302f5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityEncounterEVN): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activityEncounterEVN): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation"
         id="tmp-4db69f3f-92f4-40c0-b5bf-f10ab8291e45">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityEncounterEVN): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activityEncounterEVN): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-55c5216d-bd77-4367-bb9c-c77ecdb0f3f5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterEVN): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10020
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:text
Item: (activityEncounterEVN)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:text"
         id="tmp-705e6a6f-cdcd-45eb-995b-cbefb47772f9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10020-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']"
         id="tmp-75c489b9-21c9-467a-a4f5-83d52b7bd8e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(activityEncounterINT): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@moodCode)='INT'">(activityEncounterINT): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activityEncounterINT): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308'])&gt;=1 ">(activityEncounterINT): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308'])&lt;=1">(activityEncounterINT): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterINT): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterINT): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityEncounterINT): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityEncounterINT): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activityEncounterINT): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(activityEncounterINT): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:consultant)&lt;=1">(activityEncounterINT): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:inFulfillmentOf)=0">(activityEncounterINT): element hl7:inFulfillmentOf MAG NIET voorkomen.</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:subjectOf)&lt;=1">(activityEncounterINT): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(activityEncounterINT): element hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:id
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:id"
         id="tmp-fb0d541e-4496-4989-b4e3-483f061218b9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@root and @extension">(activityEncounterINT): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308']
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.308']"
         id="tmp-500b9f1f-5f79-416b-84e5-193429aec597">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activityEncounterINT): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterINT): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:statusCode
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:statusCode"
         id="tmp-47f70086-d31d-4f17-b32c-a3803dca090a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active') or (@code='cancelled')">(activityEncounterINT): de elementwaarde MOET zijn code 'active' of code 'cancelled'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:effectiveTime
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:effectiveTime"
         id="tmp-0504bbb6-54f6-4a6a-bff4-d9dea777ff5e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:reasonCode
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:reasonCode"
         id="tmp-b922553b-22c3-4071-9544-e3831745c572">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activityEncounterINT): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterINT): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer"
         id="tmp-544def82-d5c4-46bd-bb16-7517aadd91d7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity"
         id="tmp-1e9478d4-e9c8-4777-9345-489e47a91136">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(activitiesPerformer): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(activitiesPerformer): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-b878c3ae-0f49-4ce8-9e2c-350c14366e8a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(activitiesPerformer): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author"
         id="tmp-fb3723ef-ff5b-45c5-a508-fa15ce955959">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(activitiesEncounterINTAuthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]|hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:patient
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:patient"
         id="tmp-98e33cf6-b6ab-474d-b08c-c483502e731d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]"
         id="tmp-9b2089dc-beb1-450f-8cc9-e3cd66691c7f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@classCode)='PRS' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesEncounterINTAuthor): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(activitiesEncounterINTAuthor): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]/hl7:code"
         id="tmp-c18cd389-f6f8-4517-9781-2046e5f3cf86">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')">(activitiesEncounterINTAuthor): de elementwaarde MOET zijn code '02' codeSystem '2.16.840.1.113883.2.4.4.40.411'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]/hl7:relationshipHolder
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship[hl7:code[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')]]/hl7:relationshipHolder"
         id="tmp-c3d2207d-2319-4a38-9154-8f9e2d690cc8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(activitiesEncounterINTAuthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(activitiesEncounterINTAuthor): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]"
         id="tmp-31dcb276-b7c8-45b9-9b8c-d80be264b705">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10023
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]/hl7:code"
         id="tmp-eea95211-98c6-4aaf-96e3-53ee209f295c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.659-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.659-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesEncounterINTAuthor): de waarde van @code MOET worden gekozen uit waardenlijst W0659_HL7 W0659 Verzoeker activiteit (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEncounterINTAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0659_HL7 W0659 Verzoeker activiteit (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="not(@code='02')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '02' moet in element personalRelationship</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10023-2012-08-01T000000.html"
              test="not(@code='03')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '03' moet in element patient</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant"
         id="tmp-777e68e7-e871-4400-9f20-3470a8df51ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@typeCode)='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity"
         id="tmp-c4d055a3-72a3-4b48-ac86-9d1feffe5900">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-d3fc8869-fcf8-4197-80f7-fee1097325c8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-b347b606-2db9-42d4-84b6-93b74038ad87">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10025
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]
Item: (activitiesEscort)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]"
         id="tmp-793f1360-eec0-4bd4-9537-a257747ebf65">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="string(@typeCode)='ESC' or not(@typeCode)">(activitiesEscort): de waarde van @typeCode MOET 'ESC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">(activitiesEscort): element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:responsibleParty)&lt;=1">(activitiesEscort): element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10025
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty
Item: (activitiesEscort)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty"
         id="tmp-5a143519-6b76-41ee-9156-b4ce64aa9c71">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesEscort): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEscort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesEscort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:agentPerson)&gt;=1 ">(activitiesEscort): element hl7:agentPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="count(hl7:agentPerson)&lt;=1">(activitiesEscort): element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10025
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty/hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']
Item: (activitiesEscort)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty/hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']"
         id="tmp-3be32a8c-28f7-43a4-902e-f67ef9f846a9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesEscort): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.193-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.193-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesEscort): de waarde van @code MOET worden gekozen uit waardenlijst W0193_HL7 W0193 Begeleider (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEscort): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0193_HL7 W0193 Begeleider (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10025
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty/hl7:agentPerson
Item: (activitiesEscort)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort[hl7:responsibleParty[hl7:code[(@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='STPFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTHFOST' and @codeSystem='2.16.840.1.113883.5.111') or (@code='EXT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FRND' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GUARD' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-54c451b6-e4d2-42d5-93d7-0e6b5db7cf6f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(activitiesEscort): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10025-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(activitiesEscort): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:inFulfillmentOf
Item: (activityEncounterINT)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-7776b8d9-8634-48c9-af5e-93aa59dab334">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-4bd2c8b5-cc15-4161-b925-259720fc76e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-f8273102-6372-44d2-bc64-601be5355a27">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-84a1e95b-022e-4563-aaf6-5789e29cac40">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-8e415f69-2a10-4aad-a3f1-ec83cf49ec95">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-d547d306-7ef8-4edc-9b10-287fffcca1bb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-8a4e5a3d-63da-4f1d-ab88-d17c918c5741">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-c22eda89-2494-4618-81d7-5a0c43d282be">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-3d482f50-6fcd-4bb1-bba6-ac1a31568a4d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-d45b51c5-28c6-4c79-a175-b48de87323d6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-cf3de6dc-9b31-4f32-b441-6ea67be8d252">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-69e51260-6e17-4cd7-aea9-eef69f307a2f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-af10749d-2d1a-4b8c-b5ca-4193c337a840">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-13b8a732-96ab-48e2-93ac-642664898619">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-01265354-004c-422d-94f8-93e6c8ac79dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-44d7c971-85f8-4acc-a945-32a8bb7c1e98">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-4be5f055-d91a-4791-81ff-c23c1e28825e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-788e4b43-409b-4c21-b257-5187d6241dc1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-0b2295a8-99ee-4db1-8678-877880569534">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-e678d56a-6794-4833-bacc-deb244e77ac0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-80489611-b580-4362-a8d3-15b025488979">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-d31279f9-0e3f-42db-9271-21e179330144">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-900d5ac8-e76e-4be9-95f4-1227fd548d1a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-1016a68e-8727-4b40-86d0-5bd71179f5f5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1"
         id="tmp-838a43f4-f7ea-46fb-900c-31106e5b27f0">
      <extends rule="tmp-23627dfc-7341-402a-a1c1-d79a41ab2452"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-23627dfc-7341-402a-a1c1-d79a41ab2452" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData"
         id="tmp-2d6df2bc-05e4-415e-abac-383f7e9d8372">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-2926e990-e313-4558-a370-aa8911f7bd9f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-d494b1d1-65f3-4c04-9de0-7f619f9e2cc9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-112be6a1-c2ae-455b-9a13-4dcb3116b8c8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]"
         id="tmp-9a67601b-da1b-49da-b990-6a3eadcd7d79">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS"
         id="tmp-7373e159-4222-4e56-ae60-8c9c8e0b1c59">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']"
         id="tmp-60ebda93-4940-4026-91f9-c8d82349509b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391')">(activitiesComponent1NonBDSData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2"
         id="tmp-5c4a3e4d-f04d-437e-a7c9-06d79c7b0839">
      <extends rule="tmp-bc289d6b-3e2b-4eab-9dbd-395982ebabc3"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-bc289d6b-3e2b-4eab-9dbd-395982ebabc3" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData"
         id="tmp-e49cf94b-af28-449d-853e-ac974ed09562">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-c8d1b476-d50c-4646-aabe-0ec6e21855d7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-39f19ade-f907-484d-8718-ad8a83a751a1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-29d26fb1-0f1b-4782-bfa0-72b63b1e9b5f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS"
         id="tmp-1f73334e-2d68-4c2a-8a3c-ef1d64304699">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-79d6ac47-7633-4c24-9932-1cd05018ff43">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent2MetaData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391' of codeSystem '2.16.840.1.113883.2.4.4.40.393' of codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-f05bbbd6-c65c-478b-bc61-da12c037b302">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-d54b2975-1011-4738-8d85-92020f5814c4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5"
         id="tmp-2216e3d1-ad99-4917-8764-f41b4aecfc7b">
      <extends rule="tmp-2ed8367c-74f0-47f1-930a-d4627b7a2f66"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-2ed8367c-74f0-47f1-930a-d4627b7a2f66" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice"
         id="tmp-ac23a71d-feab-47a9-b41c-6e39f1ce7889">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@classCode)='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'])&gt;=1 ">(activitiesComponent5Advice): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'])&lt;=1">(activitiesComponent5Advice): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80']
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80']"
         id="tmp-fee00248-b477-4b12-801d-debb9e05d037">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.308-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.308-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-70d280e3-b69d-4325-85f1-ac41944700aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act"
         id="tmp-5d1fbc4d-5ce4-408b-9440-08a969542444">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-ae0bb011-b331-4c98-bd99-5e44f7dc264c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de elementwaarde MOET zijn code '1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:text"
         id="tmp-9188a5be-c170-42a5-97a3-cea5b72756f1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-86b807af-cab7-4e1d-b935-26116f1324bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)">(activityEncounterINT): element hl7:abortedEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:abortedEvent)&lt;=1">(activityEncounterINT): element hl7:abortedEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent"
         id="tmp-018017cb-afa1-49d6-9fff-9278ba578c8b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@classCode)='STC' or not(@classCode)">(activityEncounterINT): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activityEncounterINT): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterINT): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(activityEncounterINT): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(activityEncounterINT): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent/hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent/hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-0e80a2fd-7611-414f-8d9a-246e24812562">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterINT): de elementwaarde MOET zijn code '495' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent/hl7:reasonCode
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf[hl7:abortedEvent[hl7:code[(@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:abortedEvent/hl7:reasonCode"
         id="tmp-c4601479-b029-48be-a28f-288f3fbbe81c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.309') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')">(activityEncounterINT): de elementwaarde MOET zijn code '01' codeSystem '2.16.840.1.113883.2.4.4.40.309' of code '03' codeSystem '2.16.840.1.113883.2.4.4.40.309'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-a8790451-a6eb-4edf-81ac-f5a00cf53d67">
      <extends rule="tmp-76f1c231-c45c-4f86-8187-e8e11d8f3701"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-76f1c231-c45c-4f86-8187-e8e11d8f3701" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion"
         id="tmp-d0128593-ff1f-4d4c-8c38-198ae9f56910">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-4ad3216c-3a4d-4791-bafb-8c99c9bf5d14">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '482' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:text"
         id="tmp-cec7d4d1-a064-4c90-bf6b-e160ee344f81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-6b30e2cb-508c-46e5-959b-cb607d4d404e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication"
         id="tmp-b1a3db2d-e185-4021-93f8-5ac7724e74bd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-8a1f8298-9962-4a1e-a183-d27e66885943">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '485' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:value"
         id="tmp-a0bc0772-6db3-491b-b7ae-f194278004e9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf"
         id="tmp-11ab76e2-7ef0-4321-870c-a690024970b2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-18a3d9d4-0466-47ea-92cb-473a71c02bd3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-b43a3bb6-4fed-41be-9bce-443260143a62">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of code '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of code '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c3dad91d-77ea-4fd6-834f-8f2c7127525c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-4ff9db72-4595-450a-8a7d-407b3b5156fb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '5' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ac12bbe4-6750-4fae-a483-d337c891c512">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-1342fc92-74d4-47f3-9fd3-a47c4404ce9e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '4' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-abadc347-b1ce-4381-ba17-4a0dc7b3f8f7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-7d7f1e83-061f-4cae-9bab-dc519a8cd2ae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '6' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]"
         id="tmp-a7bcaa7d-2d21-410f-a4ec-d237565fc3d4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity"
         id="tmp-029849fd-f14a-4726-87b8-b5c40176fab6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']"
         id="tmp-90ee9c88-5f05-414f-8f1a-ef90af980710">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-7437eefe-81fd-4f2b-a452-22db1bbce5dc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation"
         id="tmp-cf568a74-cd86-44ff-86be-5efcd7a891df">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-4b392dfe-0710-4fa1-8e42-983786d0ccbe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:value"
         id="tmp-ee1d01a6-8b65-4593-9be5-f7c5a2582bae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(activitiesSubjectOfConclusion): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4fe578d5-2c07-46c7-879e-fbd0edb27b0a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-6d6deb2e-2631-420f-9696-6ab5dc67a1c8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '7' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-931ab9e3-9dc8-4960-9741-1b55642adefd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-c410db0e-162a-4624-acb0-793e04f97904">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-444dfe66-c253-466d-a6ba-54759e3d69f7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-63b29297-3362-4112-9c7c-bc2c1b2c8a4c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation"
         id="tmp-ee41c85a-cf57-4511-ab08-e1cdefd94ad0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-de284c03-c9db-4aa5-859e-5c5d11c6fbe3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '493' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text"
         id="tmp-c5e02ad3-7d20-47cc-863f-51b337e5c4be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-f355dbd5-d431-4368-b39a-a7a95a351c37">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityEncounterINT): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activityEncounterINT): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation"
         id="tmp-75b4061d-f2d3-43c5-9378-8c7231661f93">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterINT): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityEncounterINT): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activityEncounterINT): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-314f3ec0-9747-4663-befa-d5debddc819b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterINT): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10021
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:text
Item: (activityEncounterINT)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:text"
         id="tmp-87e5be7b-0414-478f-a693-a1d0f755da05">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]"
         id="tmp-ad2ec204-a4e8-44bd-ab12-4e4606a7de55">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activityNonEncounterCareActivity): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activityNonEncounterCareActivity): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activityNonEncounterCareActivity): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityNonEncounterCareActivity): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityNonEncounterCareActivity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityNonEncounterCareActivity): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activityNonEncounterCareActivity): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:author)=0">(activityNonEncounterCareActivity): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:consultant)&lt;=1">(activityNonEncounterCareActivity): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(activityNonEncounterCareActivity): element hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:id
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:id"
         id="tmp-f009c122-0794-4d22-b64c-aaa0381822b8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="@root and @extension">(activityNonEncounterCareActivity): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:code
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:code"
         id="tmp-72250987-7c60-4c49-a3fd-15c970e62bfe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activityNonEncounterCareActivity): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Activiteiten W0188 Soort activiteit (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityNonEncounterCareActivity): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Activiteiten W0188 Soort activiteit (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:effectiveTime
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:effectiveTime"
         id="tmp-cc9ddfeb-f8ae-46b1-b350-2845984a77e3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:performer"
         id="tmp-473d6647-ea34-48cb-9c93-9bd8c05ca9d8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:performer/hl7:assignedEntity"
         id="tmp-e54baf89-c790-4f9b-a1ce-f49505d4e25f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(activitiesPerformer): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(activitiesPerformer): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-5de9d3e0-38d0-409c-b6fe-de75c0a95080">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(activitiesPerformer): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:author
Item: (activityNonEncounterCareActivity)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:consultant"
         id="tmp-4694ad62-7931-42b5-a10b-86cc9e8442a7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@typeCode)='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:consultant/hl7:assignedEntity"
         id="tmp-c7a1f46f-90a9-498d-b868-b6c730ca5c1c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-2c4080c2-c462-4bfa-bd31-aa254948de20">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-1ca99966-b244-41b6-9b08-2fffad3e080f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-6a298549-486a-4460-b3ad-20881f40eb5d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-5c40baa6-a971-4124-a1cb-05a1cb60b7d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-6594088e-29d5-4921-abcc-ec228677ebe3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-1192ea71-ed7a-4960-aca8-1ea0bbd9a5fa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-f3e1193d-1fb3-4eb5-be77-31578ab1316f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-5d835747-241c-4dd3-a825-7973992c2b93">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-a3540e44-7440-4665-8d03-274dea03527f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-cfb2fcf1-d9c1-4150-8b2d-c691fa3636c0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-630161f0-2836-4a4a-a481-07c4e82e097d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-30b4030b-004b-41e7-9f20-bf23267fb8bc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-5d7c81e4-97b5-4f36-a026-24aec6212d4f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-ed7e2138-57de-4426-a104-5ddf634a4c20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-2db7875d-8fdc-4947-a17a-a89038ec7ea3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-55e55bb8-7b9f-490a-9e6a-3971760cfcfd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-b2a31b1f-eaad-4493-bf72-874965c1f106">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-38fb3a0b-67ce-49a0-9f56-bd852bd2b15c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-80ead9e8-e5d7-41d2-85d3-4e01acc9f8ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-0e681ae6-4e76-4e2b-be6a-8c4ba04747df">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-6dc1686c-dfa0-4b0e-9316-59eacf6bd1a2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-9bdf315d-e8ea-45d5-b2bd-153911d01949">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-21d0fe13-42d3-4f02-a9b6-10b1cb0d7ce6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-f5ac05e3-a82b-4f45-bea7-5f35893cf71a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-b7b3ec3c-a66f-454a-9983-c9cec65427b8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-fc42804c-dc07-453f-aaf3-6dbe0de66817">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1"
         id="tmp-35384a93-8cd9-435e-8dce-80db16cec70c">
      <extends rule="tmp-274ce131-89a1-44e3-8a90-6bf1de200e48"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-274ce131-89a1-44e3-8a90-6bf1de200e48" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData"
         id="tmp-214007d4-197c-4441-a6ad-ddc4a144fab1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-56fb24ed-1373-40e0-a0b6-33b2d01720fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-e4bfd4d5-8c8d-4aa5-86e3-b8308674f5d3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-4e2afbab-354f-43f2-bf7b-49db18193922">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]"
         id="tmp-18f1daba-feaa-4781-9716-7f777fec4056">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS"
         id="tmp-e1a17e6b-7fdb-42b2-b7bc-c3e8057eeb94">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']"
         id="tmp-f27a2fdf-45b7-428f-b37a-24c4319cefc7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391')">(activitiesComponent1NonBDSData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2"
         id="tmp-4848bcf1-58f6-4255-b233-0b4cdcc1fa82">
      <extends rule="tmp-9070fc89-1685-4cfb-87a5-d2f59396d324"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-9070fc89-1685-4cfb-87a5-d2f59396d324" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData"
         id="tmp-e3e1769f-73a5-4fe5-8137-623dcdf1f34e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-855027ec-83fa-4840-8730-2e372b46995d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-0df48502-e6d0-4b4c-8609-9fa7d7c639b8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7a82ba38-a8eb-4e72-a58c-e05c85b132c0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS"
         id="tmp-139017af-0f6a-4c90-a9bf-3d3e2462463c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-01289286-f3de-49ef-970c-f6b34d4acc9d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent2MetaData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391' of codeSystem '2.16.840.1.113883.2.4.4.40.393' of codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-c1aaada0-5dd7-415e-93e7-a20b3cc61aa1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-2cb5beac-9de1-4667-aa9b-99a1a74bcaf7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5"
         id="tmp-d64b6167-adfa-4a32-beb2-ac6638bde4f2">
      <extends rule="tmp-7cad35b9-4eec-4de2-a004-a19236c55d28"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-7cad35b9-4eec-4de2-a004-a19236c55d28" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice"
         id="tmp-10ac3997-6e7a-499d-a026-05fdd4f4b64e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@classCode)='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'])&gt;=1 ">(activitiesComponent5Advice): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'])&lt;=1">(activitiesComponent5Advice): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80']
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80']"
         id="tmp-de848791-9f3b-4ff4-b629-d980b0bbdfb7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.308-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.308-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-6585b1c3-0934-4e8b-95d8-346e2d706a60">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act"
         id="tmp-2286fbc9-4ad9-495a-b24c-2e9314edcbb6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-725c9e1f-bfdd-4e14-b2cb-926ceffe69fc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de elementwaarde MOET zijn code '1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:text"
         id="tmp-70935555-5ea5-4081-a21f-8ace68be9d7d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-05a1a8e3-e96f-49a1-9f17-edf1c7223017">
      <extends rule="tmp-607592ef-62d7-48af-90d6-37c65c85aa85"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-607592ef-62d7-48af-90d6-37c65c85aa85" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion"
         id="tmp-51713c9b-a30e-4e7f-9bb3-03b7772118da">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-5b2ae5ba-452b-40dc-a67c-32bb99d33597">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '482' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:text"
         id="tmp-e868ab47-1ade-4014-8270-193af88da09f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-17504af6-43c9-403d-b81d-7fd85304c911">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication"
         id="tmp-e2be4e03-2997-4cbe-baab-e77f2d3ec430">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-8d451b07-9025-486f-bfd9-4f305d94a9af">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '485' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:value"
         id="tmp-ce01681b-e64e-403e-8412-012a8069ee1b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf"
         id="tmp-87707bae-6b05-419e-a8e1-b7ad1f2eccca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-89440753-719b-4661-bb68-51eed983bde1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-dc2557ef-d124-4afe-9a9a-9d3d8e6b444e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of code '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of code '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b325d58e-2a79-4d73-b0f9-1b822641e895">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-f3693ba0-83e8-44f4-b457-450dd73a9e9f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '5' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-cc64a1c7-2a29-49cf-b04e-109ad0774092">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-9d59a269-bb68-4208-88ba-9c45fab1dfaa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '4' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-05a0b5df-ebb4-45dd-b32d-2d199f34cf0e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-c661428e-4cb0-4b0e-bbca-21ac8b73b6cf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '6' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]"
         id="tmp-a442f9b2-c10c-412d-abf7-6d4a0c38b91a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity"
         id="tmp-51f23c49-6f6a-484e-b6d1-6bd9073a0112">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']"
         id="tmp-4d1d7b49-61dd-4e08-9ce6-eb5d48023fdb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-0978097a-aeda-45af-bc0c-58e8fae66103">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation"
         id="tmp-6beddad4-4fb8-4adf-9e3a-a57c3f6f6fda">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-3fb2a10b-8edd-4229-a225-28c77e3e6198">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:value"
         id="tmp-73b0b2c0-983e-4611-8a60-3abbd8be4d81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(activitiesSubjectOfConclusion): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-aac7d3ed-574f-4c15-af8a-5f8ac679aabf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-265b2d23-eacf-477c-b652-e86d9f39d5be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '7' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-52bbe9b3-924a-4173-866d-357e8ba95b20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-0cb4861f-726a-4ae5-8e1e-f8017123e0bc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-a1502f5b-7a1b-43dc-aab7-d20d48ae4f03">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-377931fb-61d3-4e9e-ab6d-3a7bb709df3c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation"
         id="tmp-62b17ca8-6a50-4f2a-a230-a04671b6cd4a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-8d674af9-f5f2-4917-ac57-3070e568e472">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '493' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text"
         id="tmp-ec9e5d46-55ab-4a94-914f-36ef7d20e7ef">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-1fe9a513-e215-4e32-96bd-7d56343e9be0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activityNonEncounterCareActivity): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation"
         id="tmp-b7e35935-2a8a-4dc0-917d-6e2cec734608">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityNonEncounterCareActivity): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityNonEncounterCareActivity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activityNonEncounterCareActivity): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-14e0bc66-314b-455d-a677-59d6eb26ce23">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityNonEncounterCareActivity): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10026
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:text
Item: (activityNonEncounterCareActivity)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:text"
         id="tmp-48ea6ac6-b794-4218-bfe7-441d715b9ff7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10026-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]"
         id="tmp-d576f060-2140-437f-b46b-511cf6837289">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activityRegistrationEvent): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activityRegistrationEvent): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activityRegistrationEvent): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityRegistrationEvent): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityRegistrationEvent): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityRegistrationEvent): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityRegistrationEvent): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activityRegistrationEvent): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:author)=0">(activityRegistrationEvent): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:consultant)&lt;=1">(activityRegistrationEvent): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(activityRegistrationEvent): element hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:id
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:id"
         id="tmp-1e82c5f7-08d2-43d9-b068-834712be51f0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="@root and @extension">(activityRegistrationEvent): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:code
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:code"
         id="tmp-ce372cbf-1ae4-46de-a35e-5bd345989163">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.3-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.188.3-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activityRegistrationEvent): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Registratie W0188 Soort registratie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityRegistrationEvent): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Registratie W0188 Soort registratie (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']">(activityRegistrationEvent): Als activiteitcode 30 'Melding' wordt gebruikt dan MOET pertinentInformation/rubricCluster de meldingdetails bevatten (rubriek 52).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:component4">(activityRegistrationEvent): Als activiteitcode 33 'Uitvoering hielprik/vaccinatie buiten organisatie' wordt gebruikt dan MOET component4/heelPrick de hielprikdetails bevatten (rubriek 37)..</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:effectiveTime
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:effectiveTime"
         id="tmp-4d17b65d-544a-4537-bed5-1c32ea45107d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:performer"
         id="tmp-ffdb5c1e-9aec-493d-8bb5-e83d589d0932">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:performer/hl7:assignedEntity"
         id="tmp-99a6d56d-5faa-4066-8bf0-a74d3e633077">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(activitiesPerformer): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(activitiesPerformer): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (activitiesPerformer)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-fa95baf8-c045-4c3b-9c45-cba0375ceb78">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(activitiesPerformer): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:author
Item: (activityRegistrationEvent)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:consultant"
         id="tmp-0d5b3f93-724d-4fb0-affd-f0040edfbbae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@typeCode)='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:consultant/hl7:assignedEntity"
         id="tmp-4f1b734f-fae6-4d1d-9c68-4717bdf1bcff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-b4cda007-8120-4c37-84a8-f92e44e863de">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10024
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-a263a0b5-cea9-4ecf-9486-1333d5739dc8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10024-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-9b244318-9669-4e02-b9f0-ee28f3196af0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-b7abf14a-6f39-4eab-af24-617b70fae7e0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-be4e217a-1a72-4707-bb56-41a0e3f7d96f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-1c5a070b-5b6d-4808-937f-7e7e0af69834">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-e9fca4c6-714e-41db-9ddf-c4d196e2df1e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-16ab2139-c0f1-4d7b-8c04-246eb1c6dee9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-67078aa5-7164-42e3-8b99-5af31e9de46b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-3467898b-9839-40ac-ba27-14a2c3085661">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-9e9bc28f-9808-4bbf-aa5f-4a98abdb3d9b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-74c617b5-b82d-41d4-8dd5-db25945a234b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-639ee89e-8286-49e2-90e7-2a79f763ae2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-0ac47e6d-9afa-41d9-bf5a-71b0d35611b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-45931236-7e14-41a1-8b48-8616ab68b850">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-6bcee4ae-ea43-4cdd-be42-35b26eaed3d6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-cf892ba1-9974-49d7-a0c4-b95ea9f3c17a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-c431ffee-7801-4a34-8891-e0cd2c955707">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-ac8d0f0b-37d0-49c8-97ab-12874a6ba1ff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-d5433fe5-6da0-4b7a-8dd4-1a6dc5123b17">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-e64eda71-8a45-4ed2-bc90-1f8cb0a8784b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-468ce7bf-a14f-4069-9ec0-360996d06f64">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-cf2fbe31-bacb-46ff-b070-400c392d0ef5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-31e2355b-0ff9-47de-b6c6-c30fcc7be93a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-d89aa3a0-2a50-424a-9e43-967b724ddeff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-fc5995c9-3e5b-4a08-9a1e-ee7f8d023b26">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1"
         id="tmp-81adcb6c-9570-4a3f-bae2-8ad35d4528f8">
      <extends rule="tmp-f57f593c-fd64-4286-8bdc-fc2cfb2ece4e"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-f57f593c-fd64-4286-8bdc-fc2cfb2ece4e" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData"
         id="tmp-4d010747-2301-4f7c-b47a-231f9799d25f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-bb01af2c-0911-46ff-aaa7-ff36abe65b32">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-43ab5dc3-7294-496a-92a0-011b7ba8585d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-0129ab09-0d65-43fb-8f78-4ecc8a58332b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]"
         id="tmp-e6ce13f9-1839-42ff-8b99-ff381f2923ac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS"
         id="tmp-398517a0-4e8e-4ac0-9529-500fd9e9bd2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']
Item: (activitiesComponent1NonBDSData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component1/hl7:nonBDSData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']"
         id="tmp-c62f4c31-47ea-4bb2-8f21-93b004cc4f43">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391')">(activitiesComponent1NonBDSData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2"
         id="tmp-d3b6e476-ad2f-4883-900b-4e4be59734d0">
      <extends rule="tmp-447f4d2a-df62-4d29-a488-a5f918938443"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-447f4d2a-df62-4d29-a488-a5f918938443" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData"
         id="tmp-e974d539-6db8-4a6a-95d0-21a937e05b8b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-391f2474-2e58-42ca-81cb-52a093e2dae1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-7fefeb32-5d5b-4307-939b-41c0439bc4ca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-2742c5bb-104c-4b9e-8661-8f1ce59fcbf2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS"
         id="tmp-2c2c8a95-bf7e-418f-bc95-3110505d8d54">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activitiesComponent2MetaData)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component2/hl7:metaData/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-2b4e84f3-9f9e-4282-92f5-df750acf6457">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent2MetaData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391' of codeSystem '2.16.840.1.113883.2.4.4.40.393' of codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-a09e2411-4b74-491e-a737-22a120943089">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-a20db730-c375-4e5b-b38f-e97f64887912">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5"
         id="tmp-0ae7d9c5-a7db-4718-ad2f-0a1321165b6b">
      <extends rule="tmp-2006139f-cd0c-4210-81cf-08411926914f"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-2006139f-cd0c-4210-81cf-08411926914f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice"
         id="tmp-0d93c012-ebb5-4e1d-821b-936d5e1cdea3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@classCode)='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'])&gt;=1 ">(activitiesComponent5Advice): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'])&lt;=1">(activitiesComponent5Advice): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80']
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.80']"
         id="tmp-0af8bd76-de82-4762-a4b1-0f6b6e53317f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.308-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.308-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-eadf550d-0177-49db-ac24-755084b5469f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act"
         id="tmp-d98592c0-cd34-43ab-a15d-3d839f22f3d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-a4ef3a65-68ba-495d-9803-e50df1b144d9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de elementwaarde MOET zijn code '1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10032
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:component5/hl7:advice/hl7:component[hl7:act[hl7:code[(@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:text"
         id="tmp-34677f04-fab2-4445-af59-9519a444f117">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10032-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-1f7ad439-174c-40ee-811f-261600ba38d6">
      <extends rule="tmp-a0b2e711-6654-473c-885a-102f5954b749"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-a0b2e711-6654-473c-885a-102f5954b749" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion"
         id="tmp-dd1f0b6c-fc0e-458a-a1c4-b807af8c5e32">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-b13c74d6-8958-40b7-9624-80edcd2563ca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '482' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:text"
         id="tmp-eb0c2661-52a6-47a8-b5c0-dd13502ef129">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-9abac7c8-6590-4ad1-aac3-514a156cc672">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication"
         id="tmp-0f1ff862-01d3-4b5e-b8c2-1a7008998539">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-f2e6c213-9fea-442b-8fcb-9037fdaed4ef">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '485' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:value"
         id="tmp-70c364ce-418b-4e24-8f58-6ef63d9c4ade">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf"
         id="tmp-05f5ec28-04e7-47e4-8b72-c736d428d874">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a7b4ec8a-7c68-4da2-bc26-cdbcf5ff3b54">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-d57386d2-de47-4bf4-88ed-c61ee2d7f50c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of code '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of code '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-65eb5e7c-a277-4d09-8bc2-d87fdbf1e595">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-3d15107d-9b2c-4801-95ed-16cb8006b4b5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '5' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8ec4ef13-2e76-40cf-b1e6-a85e5a5a9864">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-a0b700c8-1de9-43c1-8e0f-dc576deecc78">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '4' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3f089eaa-b892-4217-80c8-ab3f81b5d69c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-c32f2453-e784-4832-8d7b-1399f9beaf9c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '6' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]"
         id="tmp-b3dbeddb-b540-44d4-8a23-95a8072af248">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity"
         id="tmp-3ccee8d7-0787-4292-8f3f-c364f84d93c4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer[hl7:assignedEntity[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']]]/hl7:assignedEntity/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='28' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.374') or @nullFlavor='OTH']"
         id="tmp-e126d7ee-9dcb-4958-b0e1-c144064065c2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-fa4f6c5f-8d67-4831-86ac-ebae74d4c9b5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation"
         id="tmp-af702494-3208-4a78-9fab-fc2a39db224e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-2fe8d93f-2ba9-419d-aceb-5a636ec4b763">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component[hl7:additionalObservation[hl7:code[(@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:additionalObservation/hl7:value"
         id="tmp-1405b33c-8591-42fd-8cae-198764eb11cf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(activitiesSubjectOfConclusion): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-88bece84-3d27-43f5-be50-3cdd4ce63f93">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code[(@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')]"
         id="tmp-335e2c40-b397-4717-aed8-f037c27ad82e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '7' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-b46b635a-8ef7-42c1-8c57-80cd3a022c86">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-0494bb0c-b0fd-411a-b199-cbbbfe8dd4b7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:component[hl7:indication[hl7:code[(@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-6017c135-3d0f-4816-9790-251f7ffaa578">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-da53f5ed-458d-4734-8fba-494265e1a38e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation"
         id="tmp-42b035ef-dc0b-469e-b180-babeaacb8826">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-35b43693-f821-41ad-98b5-82ec0d491f04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de elementwaarde MOET zijn code '493' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf1[hl7:conclusion[hl7:code[(@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:conclusion/hl7:subjectOf[hl7:annotation[hl7:code[(@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:annotation/hl7:text"
         id="tmp-14c56bc4-8750-473d-8446-f9185e116f43">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-93c1b56e-a88d-4e5f-b1f6-6daeadc37d63">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityRegistrationEvent): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activityRegistrationEvent): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation"
         id="tmp-1816016b-2a3c-4d88-a7f4-d4cb838504f7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activityRegistrationEvent): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activityRegistrationEvent): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityRegistrationEvent): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activityRegistrationEvent): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-39ad00f7-1331-42bd-9556-9f66ecfbf955">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityRegistrationEvent): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10027
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:text
Item: (activityRegistrationEvent)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/hl7:subjectOf2[hl7:annotation[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:annotation/hl7:text"
         id="tmp-a80b3ff4-9471-4b0f-a000-824be1c4e7bd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10027-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf"
         id="tmp-bbb753a8-4ba1-48a3-9c0f-9b4f0ddf281d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(careProvisionEventSubjectOf): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(careProvisionEventSubjectOf): keuze (hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(careProvisionEventSubjectOf): keuze (hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-d1f61190-7525-4dcc-afa2-dd6a93bb6915">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@classCode)='STC' or not(@classCode)">(careProvisionEventSubjectOf): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventSubjectOf): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSubjectOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventSubjectOf): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(careProvisionEventSubjectOf): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(careProvisionEventSubjectOf): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code[(@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code[(@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-51af930a-21bb-4431-a53b-7711613f7c6e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSubjectOf): de elementwaarde MOET zijn code '1197' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime"
         id="tmp-50e580df-c572-4750-8180-adea0ca64963">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode"
         id="tmp-c7a7c328-e966-47ab-97d6-6f5b9ae01592">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.625-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.625-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(careProvisionEventSubjectOf): de waarde van @code MOET worden gekozen uit waardenlijst W0625_HL7 W0625 Status in zorg (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventSubjectOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0625_HL7 W0625 Status in zorg (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-f218886f-e725-459a-8193-a7ea7b938c85">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventSubjectOf): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventSubjectOf): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-2d69bfc5-9adf-4df5-8ebb-367836f10602">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(careProvisionEventSubjectOf): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(careProvisionEventSubjectOf): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:center)=0">(careProvisionEventSubjectOf): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:width)=0">(careProvisionEventSubjectOf): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low"
         id="tmp-b30ba122-1b35-4e53-a1fc-6e32ae522e94">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high"
         id="tmp-d04d3de2-3291-4f1c-b22f-1d8eb860e833">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:center
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:width
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-74811338-46ea-4e81-b54c-38ef1a7d0f20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@classCode)='STC' or not(@classCode)">(careProvisionEventSubjectOf): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(careProvisionEventSubjectOf): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSubjectOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventSubjectOf): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(careProvisionEventSubjectOf): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(careProvisionEventSubjectOf): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code[(@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code[(@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-bcb54c48-4c4d-4731-8c92-f696658a8f77">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSubjectOf): de elementwaarde MOET zijn code '487' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime"
         id="tmp-20a611e6-db4f-44cb-99f3-160dbb956fda">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode"
         id="tmp-1f48f57d-d81b-4595-a8e4-30a538691a37">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.626-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.626-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(careProvisionEventSubjectOf): de waarde van @code MOET worden gekozen uit waardenlijst W0626_HL7 W0626 Zorgbeëindiging (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventSubjectOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0626_HL7 W0626 Zorgbeëindiging (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-635f553d-4c96-4854-bc9f-f1968f62a297">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventSubjectOf): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventSubjectOf): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-c6ae3f56-7d07-4a2e-9e87-1bf6668f2b04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(careProvisionEventSubjectOf): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(careProvisionEventSubjectOf): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:center)=0">(careProvisionEventSubjectOf): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="count(hl7:width)=0">(careProvisionEventSubjectOf): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low"
         id="tmp-1c50297a-18ad-4629-8917-d02532494885">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high
Item: (careProvisionEventSubjectOf)
-->
<rule context="*[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high"
         id="tmp-eb66698b-296b-4f4e-901c-2221f6813d4d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10019-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:center
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10019
Context: *[hl7:CareProvisionRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:CareProvisionRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']]/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:width
Item: (careProvisionEventSubjectOf)
--></pattern>
